define([
  'jquery',
  'js/utilities',
  'js/config',
  'js/validator',
  'adultEducation/adultEducationContainers/chooseGoods/chooseGoodsHelper',
  'hbs!adultEducation/adultEducationComponents/authentication/inputArea',
  'hbs!components/common/button/button'
], function(
  $$,
  utilities,
  config,
  validator,
  chooseGoodsHelper,
  inputAreaTemplate,
  buttonTemplate
) {
  // 声明选择地区变量
//  var pickerLocation;
  var userLocationCode = '';
  var getDay = utilities.getDay;
  
  var SKIP = config.SKIP;
  
  var contactsLength = '';
  var contactsAuthorization = '';
  
  var addressList=JSON.stringify([]);
  
  var basicInfoParams = {};
  
  var currentOrderId = '';
  
//  var isHouseLoan = '';
//  var houseLoanOriginTime = '';			// 房贷起始日期
//  var houseLoanYear ='';					// 房贷年限
//  var houseLoanMonthPay = '';				// 房贷月供
//  var houseLoanPayYear = '';				// 已还年限
//  var houseLoanSurplusYear = '';			// 剩余年限
//  var schemeMessage = '';					// 房贷专案
//  var authStepParams;
  var userBirthday='';						//出生日期
  
  var closePicker = chooseGoodsHelper.closePicker;
  
  function render(params) {
	  authStepParams=params;
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userId = loginStatus.userId;
	  
	  basicInfoParams = params;

	  TalkingData.onPage("身份认证1");		
	  TalkingData.onPageBegin("身份认证1_填写时间");	
		
	  // 登陆信息
	  f7.hideToolbar('#toolbar');
	  
	  // 请求客户信息回显
	  var defaultUserInfo = {};
	  
	  // storage保存信息
	  var storageUserInfo = {};
	  if (typeof localStorage.getItem('basicInfoData'+ '_' + userId) === 'string' && localStorage.getItem('basicInfoData'+ '_' + userId) !== '') {
		  storageUserInfo = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + userId));
	  }
	  
	  // 身份证号的按照需求的获取方式
	  var defaultIdCard = defaultUserInfo.userIdentityCardNumber || '';
	  
	  var basicInfoHtml=params.basicInfoHtml;		
	  var authStep1Html = inputAreaTemplate({
		  tabbarId: 'basicInfoTabbar',
		  formId:basicInfoHtml.formId,
		  inputList:basicInfoHtml.elementsList,
		  visibleStatus:basicInfoHtml.indicationStatus,
	  });
		  
	// 渲染authStep1页面
	if(params.fromPage != 'authStep2'){
		$('#tabAuthStep1').html(authStep1Html);
	}
	
	// 渲染navbar
	loadComponent('navbar', 'common', {
		container: '.basicInfoNavbar',
		title: '身份认证',
		backId: 'chooseProBackBtn',
		isBackIcon: true,
		isBack: false,
		callback: function(){
			$('#chooseProBackBtn').off('click').on('click', function() {
				
				if (params.fromPage == 'chooseProfession') {
		  	    	loadAdultEducationPage('chooseProfession',{
		  	    		query: {
		  	    			fromPage: 'authStep1',
		  	    			userType: params.userType,
		  	    			adultCreditRes: params.adultCreditRes
		  	    		}
		  	    	});
				} else {
	          		mainView.router.load({
	        			url: 'index.html'
	        		});
				}
	  	    });
		}
	});
	
	// 渲染头部状态栏
	loadAdultEducationComponent('authenticationTabbar', 'authentication', {
		container: '#basicInfoTabbar',
		tabIndex: 2,
		pageType: 'authPage'
	});
	
	// 渲染按钮
	$('#authBtn').html(buttonTemplate({
		id: 'authStep1Btn',
		value: '下一步',
		disabled: false,
	}));
	
	//动态获取城市选择器ID
	var pickerLocationId='' 
	var pickerLocationValue=[]
	basicInfoHtml.elementsList.map(function(item, index) {
		 if(item.type==="location"){
			 pickerLocationId=item.domId;
			 pickerLocationValue=item.defaultValue;
			 pickerLocationValue=(item.defaultValue==""?"":eval(pickerLocationValue));//JSON.parse
		 }
	})
		
	// 为按钮绑定事件
	$('#authStep1Btn').on('click',function(){
		TalkingData.onEventWithLabel('身份认证1', '下一页');
		userLocationCode = pickerLocation.value;
		authStep1BtnClick();
	});
	
	$$('#userDwellingDetailAddress').parent().css({'height':'75px'});
	$$('#idcard').css({'color':'#333'});
	
//	var houseLoanStartTimeValue = [];
//	$$('noHouseLoan').attr('checked','checked');
	
	//是否显示房贷项
//	$$('.option-radio').on('click',function(){
//		isHouseLoan = this.children[1].innerHTML;
//		if(isHouseLoan === '否'){
//			$$('#houseLoanStartTime').parent().hide();
//			$$('#houseLoanYear').parent().hide();
//			$$('#houseLoanPay').parent().hide();
//		} else {
//			$$('#houseLoanStartTime').parent().show();
//			$$('#houseLoanYear').parent().show();
//			$$('#houseLoanPay').parent().show();
//		}
//	});
	
	// 初始化时间组件
//	var today = new Date();
//	var houseLoanStartTime = f7.picker({
//		input: '#houseLoanStartTime',
//		rotateEffect: true,
//		toolbarCloseText: '完成',
//		value:'',//[today.getFullYear(), today.getMonth()]
//		formatValue: function (p, values, displayValues) {
//			var displayYear = values[0];
//			var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
//			
//			return displayYear + '-' + displayMonth;
//		},
//		cols: [
//			// year
//			{
//				values: (function() {
//					var arr = [];
//					var curYear = today.getFullYear();
//					for (var i = 1950; i <= curYear; i++) { arr.push(i); }
//					return arr;
//				})()
//			},
//			{
//				divider: true,
//				content: '  '
//			},
//			{
//				values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
//				displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
//			}
//		],
//	    onOpen: function (picker) {	 
//	    	houseLoanStartTime.setValue([today.getFullYear(), today.getMonth()]);
//	    }
//	});
	
//	if (houseLoanStartTimeValue!=="" && houseLoanStartTimeValue.length>0) {
//		var houseLoanStartTimeYear = houseLoanStartTimeValue.split("-")[0];
//		var houseLoanStartTimeMonth = (parseInt(houseLoanStartTimeValue.split("-")[1]) - 1).toString();
//		houseLoanStartTime.setValue([houseLoanStartTimeYear, houseLoanStartTimeMonth]);
//	}
  
	  // 根据身份证号更新出生日期
	  // 默认回显	  
	  if (defaultIdCard !== '') {
		  userBirthday=(parseInt(defaultIdCard.slice(6, 10))+'-'+parseInt(defaultIdCard.slice(10, 12))+'-'+ parseInt(defaultIdCard.slice(12, 14)));
	  }
	  
	  // 手动输入回显
	  if (!$('#idcard').attr('disabled')) {
		  $('#idcard').on('blur', function() {

			  if (!validator.checkPersonId($(this).val())) {
				  f7.alertMessage('请填写正确的身份证号码');
				  return false;
			  } else {
				  userBirthday=(parseInt($(this).val().slice(6, 10))+'-'+parseInt($(this).val().slice(10, 12))+'-'+ parseInt($(this).val().slice(12, 14)));
			  }
		  });
	  }

	  // 渲染城市选择框
	  var defaultProValueList = [];
	  var defaultProViewList = [];
	  
	  for (var o in PrivinceD) {
		  defaultProValueList.push(o);
		  defaultProViewList.push(PrivinceD[o].name);
	  }
	  
	  var defaultCityValueList = [];
	  var defaultCityViewList = [];
	  
	  for (var p in Areadata['110000']['city']) {
		  defaultCityValueList.push(p);
		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
	  }
	  
	  var defaultAreaValueList = [];
	  var defaultAreaViewList = [];
	  
	  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
		  defaultAreaValueList.push(q);
		  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
	  }

	var pickerLocation = f7.picker({
	    input: '#'+pickerLocationId,
	    rotateEffect: true,
	    toolbarCloseText: '完成',
	    formatValue: function (picker, values, displayValues) {
	    	 if(values.length === 2 && displayValues.length === 0){
				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
			  }else if (values.length === 3 && displayValues.length === 0) {
				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
			  }else {
				  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
			  }
	    },
	    cols: [
	        {
	            textAlign: 'left',
	            values: defaultProValueList,
	            displayValues: defaultProViewList,
	            onChange: function (picker, value, displayValue) {
	            	
	                if(picker.cols[1].replaceValues){
	                	var cityValueArr = [];
	                	var cityViewArr = [];
	                	for (var i in Areadata[value]) {
	                		if (i === 'city') {
	                			for (var j in Areadata[value][i]) {
	                				cityValueArr.push(j);
	                				cityViewArr.push(Areadata[value][i][j].name)
	                			}
	                		}
	                	}
	                	
	            		var areaValueArr = [];
	            		var areaViewArr = [];
	            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
	  						  areaValueArr.push(' ');
							  areaViewArr.push(' ');
	            		}else{
	            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
		            			areaValueArr.push(k);
		            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
		            		}
	            		}
    		
	                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
	                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	                }
	            }
	        },
	        {
	            values: defaultCityValueList,
	            displayValues: defaultCityViewList,
	            width: 160,
	            onChange: function(picker, value, displayValue) {
	            	if (picker.cols[2].replaceValues) {
	            		var areaValueArr = [];
	            		var areaViewArr = [];
	            		
	            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
	            		  for (var x in cityDataArr) {
	            			  if (x === 'area') {
	            				  if(cityDataArr[x]===null){
            						  areaValueArr.push(' ');
            						  areaViewArr.push(' ');
            					  }else{
            						  for (var y in cityDataArr[x]) {
		            						  areaValueArr.push(y);
			            					  areaViewArr.push(cityDataArr[x][y]);
	            					  }
	            				  }
	            			  }
	            		  }
	            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	            	}
	            }
	        },
	        {
	        	textAlign: 'center',
	        	values:	defaultAreaValueList,
				displayValues: defaultAreaViewList,
	        	width: 160
	        }
	    ],
	    onOpen: function(picker) {
	    	if (pickerLocationValue!=="") {
				pickerLocation.setValue(pickerLocationValue);
			}
	    },
	});
	
	// 设置城市的默认值
	if (pickerLocationValue!=="") {
		pickerLocation.setValue(pickerLocationValue);
	}
	
	document.getElementById('highestEducation').addEventListener('touchstart', function(){
		closePicker(pickerLocation);
	});
	document.getElementById('userMaritalStatus').addEventListener('touchstart', function(){
		f7.closeModal();
	});
	document.getElementById('userDwellingCondition').addEventListener('touchstart', function(){
		closePicker(pickerLocation);
	});
	
  }
  
	function authStep1BtnClick() {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var userId = loginStatus.userId;
//		var haveHouseLoan = isHouseLoan === '是'? true:false;							// 是否有房贷
		
		if (validator.isNull($('#idcard').val())) { f7.alert('请填写身份证号码'); return false; }
		if (!validator.checkPersonId($('#idcard').val())) { f7.alert('您的姓名或身份证号有误，请检查并修改'); return false; }
		if (validator.isNull($('#name').val())) { f7.alert('请填写姓名'); return false; }
		
		if (!validator.checkTel($('#phone').val())) { f7.alert('请填写本人手机号'); return false; }
//		if (validator.isNull($('#bankcard').val())) { f7.alert('请填写银行卡号'); return false; }
//		if (!validator.checkBankNo($('#bankcard').val())) { f7.alert('请确认您本人的银行卡号填写正确'); return false; }
		if ($('#userMaritalStatus').val() === 'selected'||$('#userMaritalStatus').val()==null || validator.isNull($('#userMaritalStatus').val())) { 
			f7.alert('请选择婚姻状况'); return false; 
			}
		if ($('#highestEducation').val() === 'selected' || $('#highestEducation').val() === null||validator.isNull($('#highestEducation').val())) { f7.alert('请选择最高学历'); return false; }
		if ($('#userDwellingCondition').val() === 'selected' ||$('#userDwellingCondition').val()==null || validator.isNull($('#userDwellingCondition').val())) { f7.alert('请选择居住状况'); return false; }
		if (validator.isNull($('#dwellingAddress').val()) ||$('#dwellingAddress').val()==null) { f7.alert('请选择居住地址'); return false; }
		if (validator.isNull($('#userDwellingDetailAddress').val()) ||$('#userDwellingDetailAddress').val()==null) { f7.alert('请填写详细地址'); return false; }
		var userDwellingAddressCheck=$('#userDwellingDetailAddress').val()
		if(userDwellingAddressCheck.length<5) { f7.alert('请填写完整的详细地址'); return false; }
//		if (haveHouseLoan){
//			if($('#houseLoanStartTime').val() === '') { f7.alert('请选择房贷起始日期'); return false;}
//			if($('#houseLoanYear').val() === '') { f7.alert('请填写房贷年限'); return false;}
//			if($('#houseLoanPay').val() === '') { f7.alert('请填写房贷月供'); return false;}
//		} 
		
//		if (haveHouseLoan) {
//			var today = new Date();
//			houseLoanOriginTime = $('#houseLoanStartTime').val();						// 房贷起始日期
//			houseLoanYear = $('#houseLoanYear').val();									// 房贷年限
//			houseLoanMonthPay = $('#houseLoanPay').val();								// 房贷月供
//			houseLoanPayYear = today.getFullYear() - houseLoanOriginTime.split('-')[0];	// 已还年限
//			houseLoanSurplusYear = houseLoanYear - houseLoanPayYear;					// 剩余年限
//			schemeMessage = "";															// 房贷专案
//		}
		var basicInfoData = f7.formToJSON('#'+authStepParams.basicInfoHtml.formId);
		//通过身份证号获取生日
		if(basicInfoData.idcard){
			basicInfoData.userBirthday=parseInt(basicInfoData.idcard.slice(6, 10))+'-'+parseInt(basicInfoData.idcard.slice(10, 12))+'-'+ parseInt(basicInfoData.idcard.slice(12, 14));
		}else{
			basicInfoData.userBirthday=userBirthday;
		}
		basicInfoData.userLocationCode = userLocationCode;
		basicInfoData.userDwellingAddress = $('#dwellingAddress').val();
//		basicInfoData.haveHouseLoan = haveHouseLoan;
//		if (haveHouseLoan) {
//			basicInfoData.houseLoanOriginTime = houseLoanOriginTime;
//			basicInfoData.houseLoanYear = houseLoanYear;
//			basicInfoData.houseLoanMonthPay = houseLoanMonthPay;
//			basicInfoData.houseLoanPayYear = houseLoanPayYear.toString();
//			basicInfoData.houseLoanSurplusYear = houseLoanSurplusYear.toString();
//			basicInfoData.schemeMessage = schemeMessage;
//		}
		
		var  basicInfoHtml = authStepParams.basicInfoHtml;
		// 在utilities.js的logout方法中重置
		localStorage.setItem('basicInfoData' + '_' + userId, JSON.stringify(basicInfoData));
		
		f7.showTab('#tabAuthStep2');

		loadAdultEducationComponent('authStep2', 'authentication', {
				userType: authStepParams.userType,
				adultCreditRes: authStepParams.adultCreditRes,
				basicInfoHtml: basicInfoHtml
		});
	};
  
  return {
	 render: render,
	 authStep1BtnClick: authStep1BtnClick,
  }
})