define([
  'js/utilities',
  'adultEducation/adultEducationContainers/authentication/authenticationView',
], function(
  utilities,
  authenticationView
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
		if (mainView.activePage.name === 'authentication') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}

		// 注册显示事件
		f7.onPageBack('authentication', function() {
			f7.showToolbar('#toolbar');
		});
		
		//接期望额度传来的数据
		authenticationView.render({
			userType: query.userType,
			adultCreditRes: query.adultCreditRes,
			fromPage: query.fromPage
		});
  }
  
  return {
	init: init,
  };
});