define([
  'js/utilities',
  'adultEducation/adultEducationContainers/chooseProfession/chooseProfessionView'
], function(
  utilities,
  adultEducationChooseProfessionView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  
	  // 隐藏底部菜单栏
	  if (mainView.activePage.name === 'adultEducationChooseProfession') {
		  f7.hideToolbar('#toolbar');
	  }
	  
	  adultEducationChooseProfessionView.render({
		  fromPage: query.fromPage,
		  adultCreditRes: query.adultCreditRes
	  });
  }
  
  return {
	init: init,
  };
});
