define([
   'advanceCredit/advanceCreditComponents/authentication/authStep3/authStep3View',
  'js/utilities'
], function(
		authStep3View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 请求用户信息
	  callAppApi({
		  url: '/app/credit/nextPage',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  userType : query.userType,
			  nextPageCode : query.nextPageCode,
			  filterRuleId :query.filterRuleId,
			  basicInfo:JSON.parse(localStorage.getItem('basicInfoData'+ '_' + loginStatus.userId)),
			  workInfo:JSON.parse(localStorage.getItem('workInfoData'+ '_' +  loginStatus.userId)),
			  contactsInfo:JSON.parse(localStorage.getItem('contactsInfoData'+ '_' + loginStatus.userId)),
		  },
		  successCallback: function(response) {
			  var responseData = response || {};
			  
			  authStep3View.render({
				  contactsInfoHtml: responseData,
				  expectedLimitMoney:query.expectedLimitMoney,
				  filterRuleId:responseData.filterRuleId,
				  userType:query.userType,
				  expectedLimitType:query.expectedLimitType
			  });
		  },
		  errorCallback: function(err) {}
	  });
  }
  
  return {
	init: init,
  };
});