define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	var jumpPagePadEventStart = pad.jumpPagePadEventStart;
	var jumpPagePadEventEnd = pad.jumpPagePadEventEnd;
	
	var applianceCheckFaceDataStr = JSON.stringify([]);
	var sendRecord = pad.sendRecord;

	function jumpPageEventCheckFaceStart() {
//		$('#faceCheckBtn').on('click', function() {
			applianceCheckFaceDataStr = JSON.stringify([]);
			jumpPagePadEventStart({
				tarKey: 'faceCheckBtn',
				baseBusinessType: '002002'
			}, function(record) {	
				record.uuid = Math.uuid();
				var appliancecheckFaceData = JSON.parse(applianceCheckFaceDataStr);
				appliancecheckFaceData.push(record);
				applianceCheckFaceDataStr = JSON.stringify(appliancecheckFaceData);
				
			});
//		})
	}
	
	function jumpPageEventCheckFaceEnd() {
		var applianceCheckFaceData = JSON.parse(applianceCheckFaceDataStr);
		
		// 拿到最近的record
		if (applianceCheckFaceData.length > 0) {

			var curRecord = applianceCheckFaceData[applianceCheckFaceData.length - 1];
			
			jumpPagePadEventEnd({
				record: curRecord
			}, function(recordRes) {

				applianceCheckFaceData[applianceCheckFaceData.length - 1] = recordRes;
				
				applianceCheckFaceDataStr = JSON.stringify(applianceCheckFaceData);

			});
		}
	}
	function sendCheckFaceRecord(orderId) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(applianceCheckFaceDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		jumpPageEventCheckFaceStart: jumpPageEventCheckFaceStart,
		jumpPageEventCheckFaceEnd: jumpPageEventCheckFaceEnd,
		sendCheckFaceRecord: sendCheckFaceRecord
	}
})