define([
  'js/utilities',
  'applianceContainers/applianceCheckUserIdCard/applianceCheckUserIdCardView'
], function(
  utilities,
  checkUserIdCardView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'applianceCheckUserIdCard') {
		f7.hideToolbar('#toolbar');
	}

	checkUserIdCardView.render({
		orderId: query.orderId,
		// 记录剩余次数
		faceTimes: query.faceTimes,
		goodsLogistics:query.goodsLogistics,
		orderStatus:query.orderStatus,
		orderDetailData:query.orderDetailData
		
	});
  }

  return {
	init: init
  };
});
