define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var applianceChooseGoodsRecordDataStr = JSON.stringify([]);
	
	function bindPadApplianceChooseGoods() {

		var applianceChooseGoodsSelectorList = [
			{
				selector: '#placeOrderGoodsBtn',
				type: '',
				bindType: 'click'
			}
		];

		applianceChooseGoodsSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var applianceChooseGoodsRecordData = JSON.parse(applianceChooseGoodsRecordDataStr);
					applianceChooseGoodsRecordData.push(record);
					applianceChooseGoodsRecordDataStr = JSON.stringify(applianceChooseGoodsRecordData);
				});
				
			} else if (item.bindType === 'click') {
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var applianceChooseGoodsRecordData = JSON.parse(applianceChooseGoodsRecordDataStr);
					applianceChooseGoodsRecordData.push(record);
					applianceChooseGoodsRecordDataStr = JSON.stringify(applianceChooseGoodsRecordData);
				});
			}
		});
	}
	
	function sendPadApplianceChooseGoods(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(applianceChooseGoodsRecordDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadApplianceChooseGoods: bindPadApplianceChooseGoods,
		sendPadApplianceChooseGoods: sendPadApplianceChooseGoods
	}
})
