define([
  'js/utilities',
  'containers/authentication/authenticationView'
], function(
  utilities,
  authenticationView
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {

		if (mainView.activePage.name === 'authentication') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}

		// 注册显示事件
		f7.onPageBack('authentication', function() {
			f7.showToolbar('#toolbar');
		});

		authenticationView.render({});
  }
  
  return {
	init: init,
  };
});