define([
  'containers/billList/billListView',
  'js/utilities',
  'components/common/toolbar/toolbarView'
], function(
  billListView,
  utilities,
  toolbarView
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;

  function init(query) {

	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			function getBillList() {
				callAppApi({
					url: '/app/bill/list',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
//						oldId: loginStatus.oldId,
//						billOrderListType :'1'
					},
					successCallback: function(repayment) {
//								repayment=
//								{
//										billPayDate:"2017/07/20",
//										billPayAmt:"2000.00",
//										billHavePayAmt:"19999.00",
//										payingBillList:[{"billCurrentPeriodNo":"2","billDueAmount":"782.0","orderId":"00200220170719171609618","billLeaseTime":"24","goodsName":"安吉尔反渗透壁挂式净水器J2605-ROB8(新A4)"}],
//										historyBillList:[{"billCurrentPeriodNo":"2","billDueAmount":"","orderId":"00200220170719171609618","billLeaseTime":"24","goodsName":"安吉尔反渗透壁挂式净水器J2605-ROB8(新A4)"}],
//								}
								billListView.render({
									repayment:repayment
								});
						f7.pullToRefreshDone();
					},
					errorCallback: function(err) {
						f7.pullToRefreshDone();
					},
					completeCallback: function() {
						f7.pullToRefreshDone();
					}
				});
			}
			
			getBillList();
			
			var ptrOrderContent = $('.pull-to-refresh-content');
			  
			ptrOrderContent.on('refresh', function() {
				getBillList();
			});

		}
 

  return {
	init: init,
  };
});