define([
  'js/utilities',
  'containers/checkUserIdCard/checkUserIdCardView'
], function(
  utilities,
  checkUserIdCardView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'checkUserIdCard') {
		f7.hideToolbar('#toolbar');
	}

	checkUserIdCardView.render({
		orderId: query.orderId,
		// 记录剩余次数
		faceTimes: query.faceTimes
	});
  }

  return {
	init: init
  };
});
