define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var checkUserIdCardDataStr = JSON.stringify([]);
	
	function bindPadCheckUserIdCard() {

		var checkUserIdCardSelectorList = [
			{
				selector: '#checkUserIdCardUploadBtn',
				type: '',
				bindType: 'click'
			}
		];

		checkUserIdCardSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002001'
				}, function(record) {
					var checkUserIdCardData = JSON.parse(checkUserIdCardDataStr);
					checkUserIdCardData.push(record);
					checkUserIdCardDataStr = JSON.stringify(checkUserIdCardData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002001'
				}, function(record) {
					var checkUserIdCardData = JSON.parse(checkUserIdCardDataStr);
					checkUserIdCardData.push(record);
					checkUserIdCardDataStr = JSON.stringify(checkUserIdCardData);
				});
			}
		});
	}
	
	function sendPadCheckUserIdCard(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(checkUserIdCardDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadCheckUserIdCard: bindPadCheckUserIdCard,
		sendPadCheckUserIdCard: sendPadCheckUserIdCard
	}
})
