define([
  'js/utilities',
  'containers/feedback/feedbackView'
], function(
  utilities,
  feedbackView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  callAppApi({
		  url: '/app/userInfo',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  isOldUser: loginStatus.oldUser,
			  oldId: loginStatus.oldId,
			  userSession: loginStatus.userSession
		  },
		  successCallback: function(response) {

//			  // 返回值统一修改
//			  if (response === null) {
//				  response = {};
//			  }
			  
			  feedbackView.render({userInfo: Object.assign(response, {
				  userPhoneNumber: loginStatus.accountName
			  })});
		  }
	  })
  }
  
  return {
	init: init,
  };
});
