define([
  'js/utilities',
  'hbs!containers/feedback/feedback'
], function(
	utilities,
	feedbackTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var logout = utilities.logout;
  
  function render(params) {
	  // 渲染导航栏
		loadComponent('navbar', 'common', {
			container: '#feedbackNavbar',
			title: '意见反馈',
			backClass: 'settingBackBtn',
			isBackIcon: true,
			isBack: false
		});
	  // 渲染页面
	  $('#feedbackContent').html(feedbackTemplate({
		  userPhoneNumber: params.userInfo.userPhoneNumber
		  
	  }));
	//点击提交反馈
		$('#sendFeedback').on('click', function() {
			  var suggestion = $('#suggestion').val();
			  var tel = $('#tel').val();
			  if (suggestion == "") {
			    f7.alert("请填写您的意见");
			    return;
			  }
			  if (tel == "") {
				  f7.alert("请填写您的联系方式");
			    return;
			  }
			  f7.alert("反馈提交成功!");
			  mainView.loadPage('setting.html')
	  })
	  
  }  	  


  return {
	render: render
  }
});