define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var chooseGoodsRecordDataStr = JSON.stringify([]);
	
	function bindPadChooseGoods() {

		var chooseGoodsSelectorList = [
			{
				selector: '#placeOrderGoodsBtn',
				type: '',
				bindType: 'click'
			}
		];

		chooseGoodsSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002001'
				}, function(record) {
					var chooseGoodsRecordData = JSON.parse(chooseGoodsRecordDataStr);
					chooseGoodsRecordData.push(record);
					chooseGoodsRecordDataStr = JSON.stringify(chooseGoodsRecordData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002001'
				}, function(record) {
					var chooseGoodsRecordData = JSON.parse(chooseGoodsRecordDataStr);
					chooseGoodsRecordData.push(record);
					chooseGoodsRecordDataStr = JSON.stringify(chooseGoodsRecordData);
				});
			}
		});
	}
	
	function sendPadChooseGoods(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(chooseGoodsRecordDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadChooseGoods: bindPadChooseGoods,
		sendPadChooseGoods: sendPadChooseGoods
	}
})
