define([
	'jquery',
	'hbs!employeeBuy/employeeBuyComponents/payOrder/optionList'
], function(
	$$,
	optionListTemplate
) {
	function resetPeriod(periodSelectId) {
		var periodList = [
			{
				default: false,
				view: '请选择',
				value: ''
			}
		];
		
		$$(periodSelectId).html(optionListTemplate({optionsList: periodList}));
	}
	
	function resetResult() {
		$$('#payOrderFirstPay').text('0');
		$$('#payOrderOnlineSelfPayAmount').text('0');
		$$('#payOrderStagePrice').text('0');
	}
	
	function resetPrompt() {
		$$(".firstPayAlert").off("click.firstPayAlert");
	}
	
	return {
		resetPeriod: resetPeriod,
		resetResult: resetResult,
		resetPrompt: resetPrompt
	}
});
