define([
  'hbs!familyDecoration/familyDecorationComponents/common/navbar/navbar',
  'jquery'
], function(
  navbarTemplate,
  $$
) {

  function render(params) {
	  	$$(params.container).html(navbarTemplate(params));
	    
	  	$('.placeOrderBackBtn').off('click').on('click', function() {
	  		f7.modal({
	  			title: '',
	  			text: '是否确认退出？',
	  			buttons: [
	  				{
	  					text: '取消',
	  					onClick: function(){
	  						//skapp数据收集：点击“返回”，取消返回
	  						var page = $('.view-main').attr('data-page');
	  						if(page == 'chooseGoods'){
	  							TalkingData.onEventWithLabel('选择商品', '取消返回');
	  						}else if(page == 'checkFace'){
	  							TalkingData.onEventWithLabel('人脸识别', '取消返回');
	  						}else if(page == 'checkInfo'){
	  							TalkingData.onEventWithLabel('完善资料', '取消返回');
	  						}else if(page == 'checkUserIdCard'){
	  							TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '取消返回');
	  						}
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function() {
	  				  		//skapp数据收集：点击“返回”，退出下单
	  						var page = $('.view-main').attr('data-page');
	  						if(page == 'chooseGoods'){
	  							TalkingData.onEventWithLabel('选择商品', '退出下单');
	  						}else if(page == 'checkFace'){
	  							TalkingData.onEventWithLabel('人脸识别', '退出下单');
	  						}else if(page == 'checkInfo'){
	  							TalkingData.onEventWithLabel('完善资料', '退出下单');
	  						}else if(page == 'checkUserIdCard'){
	  							TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '退出下单');
	  						}
	  						
	  						mainView.router.back({
	  				  			url: 'index.html',
	  				  			force: true
	  				  		});
	  				  		
	  				  		f7.showToolbar('#toolbar');
	  					}
	  				}
	  			]
	  		})
	  	})
	  	
	  	$('.placeOrderBackBtnResult').off('click').on('click', function() {
//	  		f7.modal({
//	  			title: '',
//	  			text: '是否确认退出？',
//	  			buttons: [
//	  				{
//	  					text: '取消',
//	  					onClick: function(){
//	  						//skapp数据收集：点击“返回”，取消返回
//	  						var page = $('.view-main').attr('data-page');
//	  						if(page == 'chooseGoods'){
//	  							TalkingData.onEventWithLabel('选择商品', '取消返回');
//	  						}else if(page == 'checkFace'){
//	  							TalkingData.onEventWithLabel('人脸识别', '取消返回');
//	  						}else if(page == 'checkInfo'){
//	  							TalkingData.onEventWithLabel('完善资料', '取消返回');
//	  						}else if(page == 'checkUserIdCard'){
//	  							TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '取消返回');
//	  						}
//	  					}
//	  				},
//	  				{
//	  					text: '确认',
//	  					onClick: function() {
	  				  		//skapp数据收集：点击“返回”，退出下单
	  						var page = $('.view-main').attr('data-page');
	  						if(page == 'chooseGoods'){
	  							TalkingData.onEventWithLabel('选择商品', '退出下单');
	  						}else if(page == 'checkFace'){
	  							TalkingData.onEventWithLabel('人脸识别', '退出下单');
	  						}else if(page == 'checkInfo'){
	  							TalkingData.onEventWithLabel('完善资料', '退出下单');
	  						}else if(page == 'checkUserIdCard'){
	  							TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '退出下单');
	  						}
	  						
	  						mainView.router.back({
	  				  			url: 'index.html',
	  				  			force: true
	  				  		});
	  				  		
	  				  		f7.showToolbar('#toolbar');
//	  					}
//	  				}
//	  			]
//	  		})
	  	})
	  	
	  	$('.indexBackBtn').off('click').on('click', function() {
	  		mainView.router.back({
	  			url: 'index.html',
	  			force: true
	  		});
	  		
	  		f7.showToolbar('#toolbar');
	  	});
	  	
	  	$('.meBackBtn').off('click').on('click', function() {
	  		
	  		//skapp数据收集
	  		var page = $('.view-main').attr('data-page');
	  		if(page == 'bankcard'){
		  		TalkingData.onEventWithLabel('银行卡管理', '返回');
	  		}else if(page == 'billing'){
	  			TalkingData.onEventWithLabel('我的账单', '返回');
	  		}else if(page == 'info'){
	  			TalkingData.onEventWithLabel('个人信息', '返回');
	  		}
	  		
	  		
	  		mainView.router.back({
	  			url: 'me.html',
	  			force: true
	  		});
	  		
	  		f7.showToolbar('#toolbar');
	  	});
	  	
	  	$('.settingBackBtn').off('click').on('click', function() {
	  		mainView.router.back({
	  			url: 'setting.html',
	  			force: true
	  		});
	  		
	  		f7.showToolbar('#toolbar');
	  	});
	    
	    if (params.callback) {
	    	params.callback();
	    }
	    
  };

  return {
    render: render,
  };
});
