define([
  'js/utilities',
  'familyDecoration/familyDecorationContainers/familyDecorationDispathchAdress/familyDecorationDispathchAdressView'
], function(
  utilities,
  dispathchAdressView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
	
  function init(query) {
	  
	// 隐藏底部工具栏
//	if (mainView.activePage.name === 'educationChooseGoods') {
//		f7.hideToolbar('#toolbar');
//	}
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		callAppApi({
			url: '/app/credit/initDwellAddress',
			type: 'POST',
			params: {
				userId: loginStatus.userId
			},
			successCallback: function(data) {
				dispathchAdressView.render({
					data:data,
					fromPage: query.fromPage,
					difference: query.difference,
					baseBusinessType: query.baseBusinessType
				});
			},
			errorCallback: function(err) {}
		});
		
	}

  return {
	init: init
  };
});
