define([
  'js/utilities',
  'familyDecoration/familyDecorationContainers/familyDecorationEditAdress/familyDecorationEditAdressView'
], function(
  utilities,
  editAdressView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
	
  function init(query) {
	  
	  	if(!query.orderId){
			query.orderId = '';
		}
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		if(query.difference == 'me'){
			callAppApi({
        		url: '/module/material/find',
        		params: {
        			userId: loginStatus.userId,
        			orderId: query.orderId,
        			baseBusinessType: query.baseBusinessType
        		},
        		successCallback: function(res) {
        			callAppApi({
      				  url: '/app/credit/audit/query',
      				  type: 'POST',
      				  params: {
      					  userId: loginStatus.userId
      				  },
      				  successCallback: function(auditQueryRes) {
      					if(res.orderDetailInfo){
      						editAdressView.render({
      	    		    		fromPage: query.fromPage,
      	    		    		difference: query.difference,
      	    		    		orderId: query.orderId,
      	    		    		data: res,
      	    		    		baseBusinessType: query.baseBusinessType,
      	    		    		creditAuditStatus: auditQueryRes.creditAuditStatus
      	    		    	});
      	        		}
      				  },
      				  errorCallback: function(err) {}
        			});
        		},
        		errorCallback: function(err) {}
        	})
		}/*else if(query.difference == 'advanceCreditUploadEvidence'){
			editAdressView.render({
				fromPage: query.fromPage,
				difference: query.difference,
			});
		}*/
	}

  return {
	init: init
  };
});
