define([
	'js/utilities',
	'js/validator',
	'js/config',
	'hbs!familyDecoration/familyDecorationContainers/familyDecorationEditAdress/familyDecorationEditAdressTemplate',
	'hbs!familyDecoration/familyDecorationComponents/common/button/button',//底部按钮渲染模板
	'jquery',
], function(
	utilities,
	validator,
	config,
	familyDecorationEditAdressTemplate,
	buttonTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var SKIP = config.SKIP;
	function render(params) {
		 TalkingData.onPage("选择商品");		
		 $("#chooseGoodsNavbar .placeOrderBackBtnResult").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var chooseAdressType="居住地址";
		
		var response=params.data.orderDetailInfo;
		
		// 渲染navbar
		loadFamilyDecorationComponent('navbar', 'common', {
			container: '#familyDecorationEditAdressNavbar',
			title: '配送地址',
			backClass: 'placeOrderBackBtnResult',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染主内容
		$$('#EditAdressContent').html(familyDecorationEditAdressTemplate({
			deliveryPattern: response.deliveryPattern,
			deliveryType: response.deliveryType,
			deliveryAddress: response.deliveryAddress,
			creditAuditStatus: params.creditAuditStatus,
			orderStatus: params.data.orderStatus,
			orderId: params.orderId
		}));
		 
		 
		var canChoose=true;
		$$("#chooseAdress .choose1").on("click",function(){
			if(!canChoose){
				$$(".choose1").addClass("choose");
				$$(".choose2").removeClass("choose");
				$$(".adressDefault").show();
				$$("#adressChooseStatus").show();
				$$("#adressCompany").hide();
				canChoose=true
			}
			var adress=$$("#chooseStatus").val();
			
			switch (adress){
			case '0':$$("#adressHome").show();
					 $$("#adressCompany").hide();
					 $$(".freeAdress").hide();
					 chooseAdressType='居住地址';
					 
					 break;
			case '1':$$("#adressHome").hide();
					 $$("#adressCompany").show();
					 $$(".freeAdress").hide();
					 chooseAdressType='工作地址';
					 break;
			case '2':$$("#adressHome").hide();
					 $$("#adressCompany").hide();
					 $$(".freeAdress").show();
					 chooseAdressType='其他地址';
					 break; 
			}		
		})
		
		
		$$("#chooseAdress .choose2").on("click",function(){
			if(canChoose){
				$$(".choose1").removeClass("choose");
				$$(".choose2").addClass("choose");
				$$(".adressDefault").hide();
				$$("#adressChooseStatus").hide();
				$$(".freeAdress").hide();
				canChoose=false
			}
		})
		
		// 单位地址组件初始化
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }

		 var workAdressLocation = f7.picker({
			  input: '#decorationAddress',
			  rotateEffect: true,
			  toolbarCloseText: '完成',
			  formatValue: function (picker, values, displayValues) {
				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
			  },
			  cols: [
				  {
					  textAlign: 'left',
					  values: defaultProValueList,
					  displayValues: defaultProViewList,
					  onChange: function (picker, value, displayValue) {
						  
						  if (picker.cols[1].replaceValues) {
							  var cityValueArr = [];
							  var cityViewArr = [];
							  for (var i in Areadata[value]) {
								  if (i === 'city') {
									  for (var j in Areadata[value][i]) {
										  cityValueArr.push(j);
										  cityViewArr.push(Areadata[value][i][j].name);
									  }
								  }
							  }
							  
							  var areaValueArr = [];
							  var areaViewArr = [];
							  
			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
			  						  areaValueArr.push(' ');
									  areaViewArr.push(' ');
			            		}else{
			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
				            			areaValueArr.push(k);
				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
				            		}
			            		}
							  
							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
						  }
					  }
				  },
				  {
					  values: defaultCityValueList,
					  displayValues: defaultCityViewList,
					  width: 160,
					  onChange: function(picker, value, displayValue) {
		            	  if (picker.cols[2].replaceValues) {
		            		  var areaValueArr = [];
		            		  var areaViewArr = [];
		            		
		            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	  }
					  }
				  },
				  {
					  textAlign: 'center',
					  values: defaultAreaValueList,
					  displayValues: defaultAreaViewList,
					  width: 160
				  }
			  ]
		  });
		  
		   //设置默认值
//		if (params.userInfo.userWorkAddressProvinceCode !== '' && params.userInfo.userWorkAddressCityCode !== '' && params.userInfo.userWorkAddressAreaCode !== '') {
//			workAdressLocation.setValue([params.userInfo.userWorkAddressProvinceCode, params.userInfo.userWorkAddressCityCode, params.userInfo.userWorkAddressAreaCode]);
//		}
//		 if ($.isArray(storageUserInfo.userWorkAddressCode) && storageUserInfo.userWorkAddressCode.length === 3) {
//			 workAdressLocation.setValue(storageUserInfo.userWorkAddressCode);
//		}
		 
		setTimeout(function(){
			$$("#chooseStatus").on("change",function(){
				var adress=$$(this).val();
			
				switch (adress){
				case '0':$$("#adressHome").show();
						 $$("#adressCompany").hide();
						 $$(".freeAdress").hide();
						 chooseAdressType='居住地址';
						 
						 break;
				case '1':$$("#adressHome").hide();
						 $$("#adressCompany").show();
						 $$(".freeAdress").hide();
						 chooseAdressType='工作地址';
						 break;
				case '2':$$("#adressHome").hide();
						 $$("#adressCompany").hide();
						 $$(".freeAdress").show();
						 chooseAdressType='其他地址';
						 break; 
				}		
			})
		},500)
		 	 
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'placeOrderGoodsBtn',
			value : '确认',
			disabled : false,
		}))
		
		$$("#placeOrderGoodsBtn").on('click',function(){
			if((canChoose=='其他地址')&&($$("#decorationAddress").val()=='')){
				f7.alert("你选择收货城市！");
				return;
			}
			
			if((canChoose=='其他地址')&&($$("#detailPlace").val()=='')){
				f7.alert("你输入详细地址！");
				return;
			}
			
			if(canChoose){
				var deliveryPattern='快递';
				switch (chooseAdressType){
				case '居住地址':var deliveryAddress=adressHome[0].adress;
								break;
				case '工作地址':var deliveryAddress=adressCompany[0].adress;
						 break;
				case '其他地址':
					if($$("#decorationAddress").val()==""){
						var deliveryAddress="北京 北京市 东城区"+$$("#detailPlace").val();
					}else{
						var deliveryAddress=$$("#decorationAddress").val()+$$("#detailPlace").val();
					}
					chooseAdressType=$("#otherAddressType").val();
						 break; 
				}		
			}else{
				var deliveryPattern='自取';
				var deliveryAddress='';
				chooseAdressType='';
			};
			
			// 是否跳过cordova的device.uuid
			var deviceId = '';
			if (!SKIP.cordova_uuid) {
				deviceId = device.uuid;
			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">请确保信息准确填写，一经提交，不可修改</div>',
	  			buttons: [
	  				{
	  					text: '<span class="model-back">修改</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function(){
	  						if(params.difference == 'me'){
	  							callAppApi({
	  								url: '/module/material/create',
	  								type: 'POST',
	  								params: {
	  									userId: loginStatus.userId,
	  									baseBusinessType: '004001',
	  									orderDetailInfo: {
	  										deliveryPattern : deliveryPattern,// 配送方式
	  										deliveryType : chooseAdressType,// 配送类型
	  										deliveryAddress : deliveryAddress,// 配送地址
	  									}
	  								},
	  								successCallback: function(response) {
	  									mainView.loadPage('me.html');
	  								},
	  								errorCallback: function(err) {}
	  							})
	  						}else if(params.difference == 'advanceCreditUploadEvidence'){
	  							callAppApi({
	  								url: '/app/credit/audit/caseInfoCommit',
	  								type: 'POST',
	  								params: {
	  									userId: loginStatus.userId,
	  									baseBusinessType: '004001',
	  									orderDetailInfo: {
	  										deliveryPattern : deliveryPattern,// 配送方式
	  										deliveryType : chooseAdressType,// 配送类型
	  										deliveryAddress : deliveryAddress,// 配送地址
	  									},
	  									deviceId: deviceId
	  								},
	  								successCallback: function(data) {
	  									var isBindBankCard=data.isBindBankCard;
	  									var orderId=data.orderId;
	  									if(isBindBankCard=='1'){
	  										 loadAdvanceCreditPage('creditManage', {
	  				                             query: {
	  				                            	 	fromPage:'dispathchAdress',
	  				                            	 	status:'10'
	  					                             }
	  						                 });
	  									}else{
	  										 mainView.router.load({
	  				                             url: 'bindBankcard.html',
	  				                             query: {
	  				                                      fromPage:'dispathchAdress',
	  				                                      creditAuditId: params.creditAuditId,
	  				                                      orderId: orderId,
	  				                                      baseBusinessType: '004001'
	  						                          }
	  						                   });
	  									}
	  								},
	  								errorCallback: function(err) {}
	  							});
	  						}
	  					}
	  				}
	  			]
	  		});
			
			
		})
		
	};
	
	return {
		render : render
	}
});
