var f7;
var mainView;
var loadContainer;
var loadComponent;
var mobileBusinessType = '002001';

// 家电业务流程，模块加载方法  education
var loadApplianceContainer;
var loadApplianceComponent;
var loadAppliancePage;
var applianceBusinessType = '002002';

//教育业务流程，模块加载方法  education
var loadEducationContainer;
var loadEducationComponent;
var loadEducationPage;
var educationBusinessType = '003001';

//成人教育业务流程，模块加载方法 adultEducation
var loadAdultEducationContainer;
var loadAdultEducationComponent;
var loadAdultEducationPage;
var adultEducationBusinessType = '003002';

//预授信业务流程，模块加载方法  advanceCredit
var loadAdvanceCreditContainer;
var loadAdvanceCreditComponent;
var loadAdvanceCreditPage;


//家装业务流程，模块加载方法  familyDecoration
var loadFamilyDecorationContainer;
var loadFamilyDecorationComponent;
var loadFamilyDecorationPage;

// 员工购业务流程，模块加载方法 employeeBuy
var loadEmployeeBuyContainer;
var loadEmployeeBuyComponent;
var loadEmployeeBuyPage;
var employeeBuyBusinessType = '005001';

//医疗业务流程，模块加载方法  medicalCare
var loadMedicalCareContainer;
var loadMedicalCareComponent;
var loadMedicalCarePage;

//家装线上化业务流程，模块加载方法familyDecorationOnline
var loadFamilyDecorationOnlineContainer;
var loadFamilyDecorationOnlineComponent;
var loadFamilyDecorationOnlinePage;

document.addEventListener("deviceready", function() {
  
  if (cordova.platformId == 'android') {
	  StatusBar.hide();
  }

  loadContainer = function(containerName, query) {
    require(['containers/' + containerName + '/' + containerName + 'Controller'], function(indexController) {
      indexController.init(query);
    })
  };

  loadComponent = function(componentName, container, query) {
    var containerName = '';
                          
    if (typeof container === 'string' && container !== '') {
      containerName = container + '/';
    }
                          
    require(['components/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
      controller.init(query);
    });
  }
  //------------------------------------------------------------------------------家电业务加载方法(开始)------------------------------------------------------------------------------//
  loadApplianceContainer = function(containerName, query) {
	  require(['applianceContainers/' + containerName + '/' + containerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadApplianceComponent = function(componentName, container, query) {
	  var containerName = '';
	  
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  
	  require(['applianceComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadAppliancePage = function(pageName, config) {

	  mainView.router.load({
		  url: 'applianceTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------家电业务加载方法(结束)------------------------------------------------------------------------------//
  
  //------------------------------------------------------------------------------教育业务加载方法(开始)------------------------------------------------------------------------------//
  loadEducationContainer = function(containerName, query) {
	  require(['educationContainers/' + containerName + '/' + containerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadEducationComponent = function(componentName, container, query) {
	  var containerName = '';
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  require(['educationComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadEducationPage = function(pageName, config) {
	  mainView.router.load({
		  url: 'educationTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------教育业务加载方法(结束)------------------------------------------------------------------------------//
  
  //------------------------------------------------------------------------------成人教育业务加载方法(开始)------------------------------------------------------------------------------//
  loadAdultEducationContainer = function(containerName, query) {
	  var minContainerName = containerName.match(/^adultEducation(\S*)/)[1].replace(/^[A-Z]{1}/g, function(L) {
		 return L.toLowerCase();
	  });
	  
	  require(['adultEducation/adultEducationContainers/' + minContainerName + '/' + minContainerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadAdultEducationComponent = function(componentName, container, query) {
	  var containerName = '';
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  require(['adultEducation/adultEducationComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadAdultEducationPage = function(pageName, config) {
	  mainView.router.load({
		  url: 'adultEducation/adultEducationTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------成人教育业务加载方法(结束)------------------------------------------------------------------------------//
 
  //------------------------------------------------------------------------------预授信业务加载方法(开始)------------------------------------------------------------------------------//
//预授信业务流程，模块加载方法  advanceCredit
  // loadAdvanceCreditContainer;// loadAdvanceCreditComponent;// loadAdvanceCreditPage;

  loadAdvanceCreditContainer = function(containerName, query) {
	  require(['advanceCredit/advanceCreditContainers/' + containerName + '/' + containerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadAdvanceCreditComponent = function(componentName, container, query) {
	  var containerName = '';
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  require(['advanceCredit/advanceCreditComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadAdvanceCreditPage = function(pageName, config) {
	  mainView.router.load({
		  url: 'advanceCredit/advanceCreditTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------预授信业务加载方法(结束)------------------------------------------------------------------------------//
  
  
  //------------------------------------------------------------------------------家装业务加载方法(开始)------------------------------------------------------------------------------//
  loadFamilyDecorationContainer = function(containerName, query) {
	  require(['familyDecoration/familyDecorationContainers/' + containerName + '/' + containerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadFamilyDecorationComponent = function(componentName, container, query) {
	  var containerName = '';
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  require(['familyDecoration/familyDecorationComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadFamilyDecorationPage = function(pageName, config) {
	  mainView.router.load({
		  url: 'familyDecoration/familyDecorationTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------家装业务加载方法(结束)------------------------------------------------------------------------------//
  
  //------------------------------------------------------------------------------员工购加载方法(开始)---------------------------------------------------------------------------------//
  loadEmployeeBuyContainer = function(containerName, query) {
	  var minContainerName = containerName.match(/^employeeBuy(\S*)/)[1].replace(/^[A-Z]{1}/g, function(L) {
		  return L.toLowerCase();
	  });

	  require(['employeeBuy/employeeBuyContainers/' + minContainerName + '/' + minContainerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadEmployeeBuyComponent = function(componentName, container, query) {
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  require(['employeeBuy/employeeBuyComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadEmployeeBuyPage = function(pageName, config) {
	  mainView.router.load({
		  url: 'employeeBuy/employeeBuyTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------员工购加载方法(结束)---------------------------------------------------------------------------------//

  
//------------------------------------------------------------------------------医疗业务加载方法(开始)------------------------------------------------------------------------------//
  loadMedicalCareContainer = function(containerName, query) {
	  require(['medicalCare/medicalCareContainers/' + containerName + '/' + containerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadMedicalCareComponent = function(componentName, container, query) {
	  var containerName = '';
	  
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  
	  require(['medicalCare/medicalCareComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadMedicalCarePage = function(pageName, config) {

	  mainView.router.load({
		  url: 'medicalCare/medicalCareTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------医疗业务加载方法(结束)------------------------------------------------------------------------------//
  
  
  //------------------------------------------------------------------------------家装线上化业务加载方法(开始)------------------------------------------------------------------------------//
  loadFamilyDecorationOnlineContainer = function(containerName, query) {
	var minContainerName = containerName.match(/^familyDecorationOnline(\S*)/)[1].replace(/^[A-Z]{1}/g, function(L) {
		  return L.toLowerCase();
	  });

	  require(['familyDecorationOnline/familyDecorationOnlineContainers/' + minContainerName + '/' + minContainerName + 'Controller'], function(indexController) {
		  indexController.init(query);
	  })
  };
  
  loadFamilyDecorationOnlineComponent = function(componentName, container, query) {
	  var containerName = '';
	  if (typeof container === 'string' && container !== '') {
		  containerName = container + '/';
	  }
	  require(['familyDecorationOnline/familyDecorationOnlineComponents/' + containerName + componentName + '/' + componentName + 'Controller'], function(controller) {
		  controller.init(query);
	  });
  }
  
  loadFamilyDecorationOnlinePage = function(pageName, config) {
	  mainView.router.load({
		  url: 'familyDecorationOnline/familyDecorationOnlineTemplate/' + pageName + '.html',
		  force: config.force,
		  query: config.query
	  });
  }
  //------------------------------------------------------------------------------家装业务加载方法(结束)------------------------------------------------------------------------------//
  require(['app'], function(app){});
}, false);
