showProduct = function(p) {
  setCurrent('product', p);
  goPage("goods");
};
getLocal = function() {
  document.addEventListener("deviceready", onAddrDeviceReady, false);
};
//百度地图API功能
function onAddrDeviceReady() {
  //alert(JSON.stringify(device));
  //navigator.geolocation.getCurrentPosition(gsu, gsu2,{maximumAge: 3000, timeout: 5000, enableHighAccuracy: true});
  if (cordova.platformId == 'android') {
    StatusBar.backgroundColorByHexString("#f4610b");
  }
  window.open = cordova.InAppBrowser.open;
  //window.open('tel:12345678', '_system');
  networkinterface.getIPAddress(function (ip) { deviceIp=ip; });
  //alert('InAppBrowser');
  navigator.geolocation.getCurrentPosition(onAddrSuccess, onAddrError);
};

function listDir(path) {
  window.resolveLocalFileSystemURL(path, function(fileSystem) {
    var reader = fileSystem.createReader();
    reader.readEntries(function(entries) {
      var i;
      for (i = 0; i < entries.length; i++) {
        alert(entries[i].name);
      }
    }, function(err) {
      alert(err);
    });
  }, function(err) {
    alert(err);
  });
}

Convert_BD09_To_GCJ02 = function(point) {
  var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
  var x = point.lng - 0.0065, y = point.lat - 0.006;
  var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);
  var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);
  point.lng = z * Math.cos(theta);
  point.lat = z * Math.sin(theta);
}
//
function onAddrSuccess(position) {
  var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
  var x = position.coords.longitude, y = position.coords.latitude;
  var z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * x_pi);
  var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * x_pi);
  var longitude = z * Math.cos(theta) + 0.0065;
  var latitude = z * Math.sin(theta) + 0.006;
  Datas.Current.longitude = longitude;
  Datas.Current.latitude = latitude;
  //创建一个百度的定位
  changeAddress(longitude, latitude);
}
changeAddress = function(longitude, latitude){
  var point = new BMap.Point(longitude, latitude);//经度，维度
  var gc = new BMap.Geocoder();
  gc.getLocation(point, function(rs) {
    var address = rs.addressComponents;
    //      alert(address);
    //console.log(address);
    $$("#citySpan").text(address.city);
    Datas.currentLocalCity = address.city;
    Datas.currentLocalCityCode = getCityCode(address.city);
    Datas.Current.area = Datas.currentLocalCityCode;
    if(Datas.currentLocalCityCode.substr(0, 3)=="410"||Datas.currentLocalCityCode.substr(0, 3)=="411"){
  	  var s="hide";
  	  showTV(s);
    }else{
  	  var s="show";
  	  showTV(s);
  	  
    }
    Datas.Current.partner = '';
    Datas.Current.provider = '';
    Datas.currentStoreID = '';
    Datas.currentStoreName = '请首先扫描店员二维码';
    Datas.currentSaleMemberName = '';
  });
}
//获取cityNo
getCityCode = function(aCity) {
  var i = 0;
  var aCityNo = "";
  for ( var bCityNo in Datas.cityName) {
    if (Datas.cityName[bCityNo] == aCity) {
      aCityNo = Datas.cityCode[i];
      break;
    }
    i++;
  }
  return aCityNo;
}
function onAddrError(error) {
  return;
}
//扫描门店，商品，店员二维码刷新商品列表信息
scanStoreQcode = function() {
//	console.warn('scanStoreQcode');
//	  Datas.currentSaleMemberID = '51';
//	  callAction('User', 'getSalesInfo', setParam('i', '264'), callbackInfoSuccess);
	
	
//  cordova.plugins.diagnostic.isCameraAuthorized(function(exists){
//    if (exists || isiOS) {
//       scanner.startScanning(MWBSInitSpace.init, scanCallbackStore);
//     } else {
//       alertMessage("请打开相机和存储的权限","cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});");
//     }
//   }, function(error){
//       alertMessage("调用相机失败："+error);
//   });


// 	// 广电165
//	var result = "*V|M|*165";
//	// 合约机39
//	var result = "*V|M|*39";
//      scanCallbackStore(result);
	// hr codovar插件
	cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
};
//识别门店信息二维码
//scanCallbackStore = function(result) {
//  console.log('Scan complete');
//  if (result.type == 'Cancel') {
//    return '';
//  } else if (result && result.code) {
//    var s = getRealString(result.code);
//    var objectID = doWithQRCode(s);
//    return objectID;
//  }
//};

// hr cordova二维码识别
function scanCallbackStore(result) {

	var s = getRealString(result);

    var objectID = doWithQRCode(s);
    return objectID;
};
function scanQrCodeError (error){
    myApp.f7.alertMessage("二维码扫描失败，请重试！");
};

/**
 * 
 * @param f二维码扫码后执行的函数
 */
scan = function(f) {
	cordova.plugins.diagnostic.isCameraAuthorized(function(exists){
	    if (exists || isiOS) {
	    if (f == '1') {
	    //        	 Datas.currentSaleMemberID = '1';
	    //        	callAction('User', 'getSalesInfo', setParam('i', '1'), callbackInfoSuccess1);
	      scanner.startScanning(MWBSInitSpace.init, scanCallback1);
	    }
	    if (f == '2') {
	      scanner.startScanning(MWBSInitSpace.init, scanCallback2);
	    }
	     } else {
	       alertMessage("请打开相机和存储的权限","cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});");
	     }
	   }, function(error){
	       alertMessage("调用相机失败："+error);
	   });
	
	// hr codovar插件
//	cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
	
//	cordova.plugins.HrToolsPlugin.QrCodePlugin(function(exists){
//	    if (exists || isiOS) {
//	    if (f == '1') {
//	    //        	 Datas.currentSaleMemberID = '1';
//	    //        	callAction('User', 'getSalesInfo', setParam('i', '1'), callbackInfoSuccess1);
//	      scanner.startScanning(MWBSInitSpace.init, scanCallback1);
//	    }
//	    if (f == '2') {
//	      scanner.startScanning(MWBSInitSpace.init, scanCallback2);
//	    }
//	     } else {
//	       alertMessage("请打开相机和存储的权限","cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});");
//	     }
//	   }, function(error){
//	       alertMessage("调用相机失败："+error);
//	   });

};
scanCallback1 = function(result) {
  /**
   * result.code - string representation of barcode result
   * result.type - type of barcode detected or 'Cancel' if scanning is canceled
   * result.bytes - bytes array of raw barcode result
   * result.isGS1 - (boolean) barcode is GS1 compliant
   * result.location - contains rectangle points p1,p2,p3,p4 with the corresponding x,y
   * result.imageWidth - Width of the scanned image
   * result.imageHeight - Height of the scanned image
   */
  console.log('Scan complete');
  if (result.type == 'Cancel') {
    //Perform some action on scanning canceled if needed
    return '';
  } else if (result && result.code) {
    var s = getRealString(result.code);
    var objectID =s.split("|")[2];
	  var hasLogin='0'; 
	  if(!Datas.shopper){
		  Datas.shopper='';
	  }
	  if(Datas.Me._id){
		  hasLogin='1';
	  }
	  if(Datas.User.m==null||Datas.User.m==''){
		  Datas.User.m='';
	  }
	 var param="'shopper':'" +Datas.shopper+ "','qc':'" + Datas.User.qc+ "','logon':'" + hasLogin+ "',"
	    +"'m':'"+Datas.User.m+"','i':'" + objectID+"'";
	callAction('User', 'getSalesInfoo', param, callbackInfoSuccess1);
    return s;
  }
};
callbackInfoSuccess1=function(a){
	var data = eval(a.r);
	  Datas.currentStoreID = data.s._id;
	  Datas.currentStoreName = data.s.a;
	  Datas.clerk_p=data.m.n;//店员手机号
	  Datas.Current.partner = data.p._id;//运营商id
	  Datas.Current.provider = data.prd._id;//供应商id
	  Datas.currentLocalCity=data.roadName;
	  Datas.currentLocalCityCode = data.area;
	  if(data.p.k==''){
		  data.p.k='0010';
	  }
	  Datas.shopper=data.p.k;
	  Datas.Current.area = Datas.currentLocalCityCode;
	  $$("#currentStoreName").text(Datas.currentStoreName);
	  $$("#citySpan").text(Datas.currentLocalCity);
	  Datas.currentSaleMemberName = data.m.a;
	  Datas.currentSaleMemberID = data.m._id;
	  putUserNews();
//	  localStorage.setItem('currentSaleMemberID', Datas.currentSaleMemberID);
	  getGoods_sell(Datas.currentSaleMemberID);
}
scanCallback2 = function(result) {
  console.log('Scan complete');
  if (result.type == 'Cancel') {
    //Perform some action on scanning canceled if needed
    return '';
  } else if (result && result.code) {
    var s = getRealString(result.code);
    var objectID =s.split("|")[2];
    Datas.Current.rtnClerkId=objectID;
    rtn_scan(objectID);
    return s;
  }
};
doWithQRCode = function(s) {
if (!s || s.indexOf("|") < 0) {
    myApp.alert("亲，二维码没看清，请再试一下哦");
    return;
  }
  var actionType = s.split("|")[0];
  var viewType = s.split("|")[1];
  var objectID = s.split("|")[2];
  if (actionType == "V" && viewType == "M" && objectID) {
    //TODO:通过查询更新当前门店信息和店员信息
	  var hasLogin='0'; 
	  if(!Datas.shopper){
		  Datas.shopper='';
	  }
	  if(Datas.Me._id){
		  hasLogin='1';
	  }
	  if(Datas.User.m==null||Datas.User.m==''){
		  Datas.User.m='';
	  }
	  
	 var param="'shopper':'" +Datas.shopper+ "','qc':'" + Datas.User.qc+ "','logon':'" + hasLogin+ "',"
	    +"'m':'"+Datas.User.m+"','i':'" + objectID+"'";
	 
	 console.log(param);
	  callAction('User', 'getSalesInfo', param, callbackInfoSuccess);
  } else {
    myApp.alert("请扫描有效的二维码信息");
    return;
  }
  return objectID;
};
callbackInfoSuccess = function(a) {
  var data = eval(a.r);
  Datas.currentStoreID = data.s._id;
  Datas.currentStoreName = data.s.a;
  Datas.clerk_p=data.m.n;//店员手机号
  Datas.Current.partner = data.p._id;//运营商id
  Datas.Current.provider = data.prd._id;//供应商id
  Datas.currentLocalCity=data.roadName;
  Datas.currentLocalCityCode = data.area;
  if(data.p.k==''){
	  data.p.k='0010';
  }
  Datas.shopper=data.p.k;
  if(Datas.shopper=='0030'){
	  var s="hide";
	  showTV(s);
  }else{
	  var s="show";
	  showTV(s);
	  
  }
  Datas.Current.area = Datas.currentLocalCityCode;
  $$("#currentStoreName").text(Datas.currentStoreName);
  $$("#citySpan").text(Datas.currentLocalCity);
  Datas.currentSaleMemberName = data.m.a;
  Datas.currentSaleMemberID = data.m._id;
  putUserNews();
//  localStorage.setItem('currentSaleMemberID', Datas.currentSaleMemberID);
  $$("#clerk_name_ed").val(Datas.currentSaleMemberName);
  console.log(data);
};
getRealString = function(str) {
  var s = '';
  for (var i = 0; i < str.length; i++) {
    if (i % 5 != 0) {
      s += str[i];
    }
  }
  return s;
};

openArea = function() {
  getPopup("0", "area");
  myApp.popup('.popup-area');
}
selectArea = function(area) {
  myApp.closeModal('.popup-area');
  var prestr = area.substring(0, 2);
  Datas.Current.area = area;
  /*  Datas.Current.longitude='';
    Datas.Current.latitude='';*/
  Datas.Current.partner = '';
  Datas.Current.provider = '';
  Datas.currentStoreID = '';
  Datas.currentStoreName = '请首先扫描店员二维码';
  Datas.currentSaleMemberName = '';
  Datas.currentSaleMemberID='';
  $("#citySpan").text(Datas.Areadata[prestr + "0000"].city[area].name);
  $("#currentStoreName").text('请首先扫描店员二维码');
  
  Datas.currentLocalCity=Datas.Areadata[prestr + "0000"].city[area].name;
  Datas.currentLocalCityCode=area;
  console.log("selectCode+"+area);
  if(area.substr(0, 3)=="410"||area.substr(0, 3)=="411"){
	  var s="hide";
	  showTV(s);
  }else{
	  var s="show";
	  showTV(s);
	  
  }
}

getLocal();

hideAppTabBar = function(e) {
  document.getElementById("tabbar").style.display = "none";
  document.getElementById("pc_" + myApp.getCurrentView().activePage.name).style.paddingBottom = "0px";
  //alert(myApp.getCurrentView().activePage.name);
};

showAppTabBar = function(e) {
  document.getElementById("tabbar").style.display = "";
  document.getElementById("pc_" + myApp.getCurrentView().activePage.name).style.paddingBottom = "44px";
};

onKeyPress = function(e) {
  var keyCode = null;

  if (e.which)
    keyCode = e.which;
  else if (e.keyCode)
    keyCode = e.keyCode;

  if (keyCode == 13) {
    return false;
  }
  return true;
};

clearValue = function(id) {
  document.getElementById(id).value = "";
};
clearValue2 = function(id1, id2) {
  document.getElementById(id1).value = "";
  document.getElementById(id2).value = "";
};

function onBackKeyDown() {   ///未能修复
  var s = myApp.getCurrentView().activePage.name;
  if (!$.isEmptyObject(RunPopups2)) {
	  for(var i in RunPopups2){
	  myApp.closeModal('.popup-'+RunPopups2[i]+'');
	  }
	  $$('#popup-bound').attr('style','display:none'); //写死
	  RunPopups2={};
  } else if(!$.isEmptyObject(RunPopups)){
    for(var i in RunPopups){
  	  myApp.closeModal('.popup-'+RunPopups[i]+'');
  	  }
  }else {
  if (s.indexOf("_index") > -1) {
    navigator.notification.confirm('按确定退出程序!', onConfirm, '确定要退出程序吗?', '确定,取消');
  } else {
    if (ifPhotoOpened) {
      Datas.photoBrowserStandalone.close();
    } else {
    	myApp.closeModal();
        try {
           var index=s.indexOf("_");
      	  var view = s.substring(0,index);
      	  var page=s.substring(index+1,s.length)
      	  var back = Datas.Views[view].o[page].b.l.a;
      	  if (back) {
      		  eval(back);
      	  }
        } catch (e) {
            myApp.getCurrentView().back();
        }
    }
  }
  }
};

function exitFromApp() {
  if (navigator.app) {
    navigator.app.exitApp();
  } else if (navigator.device) {
    navigator.device.exitApp();
  }
};

function onConfirm(button) {
  if (button == 1)
    exitFromApp();
};

document.addEventListener("backbutton", onBackKeyDown, false);

onViewShow_1 = function() {
	getOrderList();
};

onViewShow_2 = function() {
  if (Me._s && myApp.getCurrentView().activePage.name == '2_index') {
    goPage("me", "2", {
      animatePages : false
    });
  }
};
appendStyle(".zcard1 {width: " + (iWidth - 120) + "px} .wizardTabContent {height:" + (iHeight-(isiOS ? 218 : 198)) + "px}");
//发送短信60秒校验方法
var count = function(countId) {
  var registerText = $$("#"+countId).text();
  if (!registerText)
    return;
  registerText = registerText.substring(0, 2);
  var seconds = parseInt(registerText);
  if (seconds > 0) {
    seconds = seconds - 1;
    $$("#"+countId).text(seconds + "s");
  } else {
    clearInterval(stopInterval);
    $$("#"+countId).removeAttr('disabled');
    $$("#"+countId).text("重新发送");
    return;
  }
};
var ifPhotoOpened=false;
onPhotoOpen = function() {
  ifPhotoOpened = true;
};

onPhotoClose = function() {
  ifPhotoOpened = false;
};