var $$ = Dom7;
var myApp = new Framework7({
  template7Pages : true,
  material : true,
  modalCloseByOutside: true,
  actionsCloseByOutside: false,
  popupCloseByOutside: false
});
Template7.registerHelper('substring', function(string, i, j) {
   if(isNull(string)){
		return '';
	}
  if (isNull(j)) {
    string.substring(i);
  }
  return string.substring(i, j);
});
//
Template7.registerHelper('subBankCard', function(string) {
	   if(isNull(string)){
			return '';
		}
	  var str='';
	  str+= string.substring('0','3');
	  
	  for(var i=0;i<string.length-6;i++){
		  str+='*';
	  }
	  str+= string.substring(string.length-3,string.length);
	});
Template7.registerHelper('minus', function(d1, d2) {
  return d1 - d2;
});

$$(document).on('ajaxStart', function(e) {
  myApp.showIndicator();
});
$$(document).on('pageInit', function(e) {
    var page = e.detail.page.name;
    if(page=='1_index'){
        var pc_1_index = $$('#tab-order1');
        pc_1_index.on('refresh', function(e){
                getOrderList();
                myApp.pullToRefreshDone(pc_1_index);
        });
    }
    if(page=='0_goodslist'){
        var goodslist1 = $$('#tab-goodslist1');
        goodslist1.on('refresh', function(e){
            if(isNull(Datas.Current.searchGoods)) {
                goGoodsList(Datas.Current.product_id, 'tab-goodslist1');
                $$('#goodslist_pull').attr('style','');
                myApp.pullToRefreshDone(goodslist1);
            }
            else{
                refreshSearch(Datas.Current.searchGoods, 'tab-goodslist1');
                myApp.pullToRefreshDone(goodslist1);
            }
        });
        var goodslist2 = $$('#tab-goodslist2');
        goodslist2.on('refresh', function(e){
            if(isNull(Datas.Current.searchGoods)){
                goGoodsList(Datas.Current.product_id,'tab-goodslist2');
                myApp.pullToRefreshDone(goodslist2);
            }else{
                refreshSearch(Datas.Current.searchGoods, 'tab-goodslist2');
                myApp.pullToRefreshDone(goodslist2);

            }
        });
        var goodslist3 = $$('#tab-goodslist3');
        goodslist3.on('refresh', function(e){
            if(isNull(Datas.Current.searchGoods)) {
                getOrderList(Datas.Current.product_id, 'tab-goodslist3');
                myApp.pullToRefreshDone(goodslist3);
            }else{
                refreshSearch(Datas.Current.searchGoods, 'tab-goodslist3');
                myApp.pullToRefreshDone(goodslist3);

            }
        });
    }
       
        if(page=='0_tvgoodslist'){
        	var tvgoodslist1 = $$('#tab-tvgoodslist1');
            tvgoodslist1.on('refresh', function(e){
            	console.log("refresh+"+Datas.Current.searchGoods);
                if(isNull(Datas.Current.searchGoods)) {
                	goGoodsList(Datas.Current.product_id, 'tab-tvgoodslist1');
                    $$('#tvgoodslist_pull').attr('style','');
                    myApp.pullToRefreshDone(tvgoodslist1);
                }
                else{
                    refreshSearch(Datas.Current.searchGoods, 'tab-tvgoodslist1');
                    myApp.pullToRefreshDone(tvgoodslist1);
                }
            });
            var tvgoodslist2 = $$('#tab-tvgoodslist2');
            tvgoodslist2.on('refresh', function(e){
                if(isNull(Datas.Current.searchGoods)){
                	goGoodsList(Datas.Current.product_id,'tab-tvgoodslist2');
                    myApp.pullToRefreshDone(tvgoodslist2);
                }else{
                    refreshSearch(Datas.Current.searchGoods, 'tab-goodslist2');
                    myApp.pullToRefreshDone(tvgoodslist2);

                }
            });
            var tvgoodslist3 = $$('#tab-tvgoodslist3');
            tvgoodslist3.on('refresh', function(e){
                if(isNull(Datas.Current.searchGoods)) {
                    getOrderList(Datas.Current.product_id, 'tab-tvgoodslist3');
                    myApp.pullToRefreshDone(tvgoodslist3);
                }else{
                    refreshSearch(Datas.Current.searchGoods, 'tab-tvgoodslist3');
                    myApp.pullToRefreshDone(tvgoodslist3);

                }
            });
    }
});
$$(document).on('ajaxComplete', function() {
  myApp.hideIndicator();
  isRunning = false;
});
$$(document).on('ajaxError', function() {
  myApp.hideIndicator();
  isRunning = false;
  alertMessage('网络不太好，请稍后再试');
});
$$(document).on('pageAfterAnimation', function(e) {
  var page = e.detail.page.name;
  initPageFunc(page);
});

initPageFunc = function(page) {
	runPageJs(page);
	  refreshTabBar(page);
	  RunPages[page] = {};
	  if (page != '0_index' && page != '1_index' && page != '2_index' && page != '2_me') {
		  hideAppTabBar();
	  } else {
	    showAppTabBar();
	  }
};

refreshTabBar = function(page) {
  var n = page.split("_");
  var p = Datas.Views[n[0]].o[n[1]];
  if (p && p.t) {
    if (p.t.v == true) {
      document.getElementById("tabbar").style.display = 'none';
    } else {
      if (p.t.n) {
        document.getElementById("tabbar").style.display = 'none';
        document.getElementById("toolbar").style.display = '';
        document.getElementById("toolbar").innerHTML = getToolbarButton(p.t.n, p.t.a, p.t.t);
      } else {
        document.getElementById("tabbar").style.display = '';
        document.getElementById("toolbar").style.display = 'none';
      }
    }
  } else {
    document.getElementById("tabbar").style.display = '';
    document.getElementById("toolbar").style.display = 'none';
  }
};

$$(document).on('pageBeforeRemove', function (e) {
  var page = e.detail.page.name;
  RunPages[page] = null;
});

var iBarHeight = 56;
var iBannerHeight = 140;
var iHeight = $$(window).height() - iBarHeight;
var iWidth = $$(window).width();

getToolbarButton = function(n, a, t) {
  if (t) {
    return t;
  } else {
    return '<div class="content-block m-n m-t-s"><a href=\'javascript:' + a
        + '\' class="button button-big button-fill l-h-btn">' + n + '</a></div>';
  }
};

loadPageTemplate = function(view, page, func, param, param1, param2, param3) {
	
  var template = Templates[view + '_' + page];
  if (!template) {
    var t = getTemplate(view + '/' + page, '');
    if (t == '') {
      $.get('template/' + view + '/' + page + '.html', {}, function(data) {
        var template = Template7.compile(getPageDiv(view, page, data));
        Templates[view + '_' + page] = template;
        loadJs(view, page, func, param, param1, param2, param3);
      });
    } else {
      template = Template7.compile(getPageDiv(view, page, t));
      Templates[view + '_' + page] = template;
      loadJs(view, page, func, param, param1, param2, param3);
    }
  } else {
    loadJs(view, page, func, param, param1, param2, param3);
  }
};

loadTemplate = function(view, page, func, param, param1, param2, param3) {
  var template = Templates[view + '_' + page];
  if (!template) {
    var t = getTemplate(view + '/' + page, '');
    if (t == '') {
      $.get('template/' + view + '/' + page + '.html', {}, function(data) {
        var template = Template7.compile(data);
        Templates[view + '_' + page] = template;
        loadJs(view, page, func, param, param1, param2, param3);
      });
    } else {
      template = Template7.compile(t);
      Templates[view + '_' + page] = template;
      loadJs(view, page, func, param, param1, param2, param3);
    }
  }
  if (template) {
    loadJs(view, page, func, param, param1, param2, param3);
  }
};

loadJs = function(view, page, func, param, param1, param2, param3) {
  var js = Jss[view + '_' + page];
  Jss[view + '-' + page] = {};
  if (!js) {
    var t = getJs(view + '/' + page, '');
    if (t == '') {
      $.get('template/' + view + '/js/' + page + '.js', {}, function(data) {
        eval(data);
        if (func) {
          func(param, param1, param2, param3);
        }
      }).fail(function() {
        if (func) {
          func(param, param1, param2, param3);
        }
      });
    } else {
      eval(t);
      if (func) {
        func(param, param1, param2, param3);
      }
    }
  } else {
    if (func) {
      func(param, param1, param2, param3);
    }
  }
};

setTemplate = function(key, value) {
  localStorage.setItem('t_' + key, decrypt(value, ""));
};

getTemplate = function(key, value) {
  var v = localStorage.getItem('t_' + key);
  if (v == null) {
    v = value;
  }
  return v;
};

setJs = function(key, value) {
  localStorage.setItem('j_' + key, decrypt(value, ""));
};

getJs = function(key, value) {
  var v = localStorage.getItem('j_' + key);
  if (v == null) {
    v = value;
  }
  return v;
};

renderPage = function(view, page, id) {
  var t = Templates[view + '_' + page];
  var s = t(Datas);
  $$("#" + id).html(t(Datas));
  runPageJs(view + '_' + page);
};

loadPage = function(view, page, id) {
  if (id) {
    loadPageTemplate(view, page, renderPage, page, id);
  } else {
    loadPageTemplate(view, page, goPage, page);
  }
};

go = function(view, page, option) {
  //getView(view).router.loadPage('template/home/test.html');
  //return;
  var t = Templates[view + '_' + page];
  var o = option;
  if (o) {
    o.content = t(Datas);
  } else {
    o = {
      content : t(Datas)
    }
  }
  if (myApp.views[view].activePage.name == view + '_' + page) {
    refreshTabBar(view + '_' + page);
    o.reload = true;
    myApp.getCurrentView().router.load(o);
  } else {
    myApp.getCurrentView().router.load(o);
  }
  //myApp.getCurrentView().activePage.name
  //
  /*
  myApp.views[view].router.load({
    template : Templates[view + '_' + page],
    context : Datas,
    //animatePages: false,
    //reloadPrevious : true
  });
  */
  //alert(Templates[page]);
  //myApp.getCurrentView().router.loadPage('about.html');
  //myApp.getCurrentView().router.loadContent(Templates[page]);
};

getCurrentViewIndex = function() {
  var i;
  for (i in myApp.views) {
    if (myApp.views[i] == myApp.getCurrentView()) {
      break;
    }
  }
  return i;
};

goView = function(view) {
  myApp.showTab('#view-' + view);
};

goPage = function(page, view, option) {
  var v = getCurrentViewIndex();
  if (typeof view != undefined && typeof view != "undefined" && view != "undefined") {
    if (v != view) {
      backView(v);
    }
    goView(view);
  } else {
    view = v;
  }
  loadPageTemplate(view, page, go, view, page, option);
};

backView = function(view) {
  //myApp.views[view].router.back();
  var t = Templates[view + '_index'];
  myApp.views[view].router.reloadContent(t(Datas));
  //loadPageTemplate(view, 'index', go, view, 'index');
  /*
  myApp.views[view].router.back({
    template: Templates[view + '-index'],
    context: Datas,
    animatePages: false,
    force: true
  });
  */
};

backPage = function() {
  myApp.getCurrentView().back();
};

getViews = function() {
  var s = '';
  for ( var i in Datas.Views) {
    s += '<div id="view-' + i + '" class="view tab ' + (i == 0 ? 'active' : '')
        + '"><div class="pages navbar-through" id="pages-' + i + '"></div></div>';
  }
  s += '<div class="toolbar tabbar tabbar-labels" id="tabbar" style=""><div class="toolbar-inner">' + getViewsToolbar()
      + '</div></div>';
  s += '<div class="toolbar tabbar tabbar-labels" id="toolbar" style="position:fixed;display:none"></div>';
  return s;
};

getViewsToolbar = function() {
  var s = '';
  for ( var i in Datas.Views) {
	    s += '<a id="viewbutton-' + i + '"' + (Datas.Views[i].f ? ' onclick=\'' + Datas.Views[i].f + '\'' : '')
        + ' href=""' + ' class="tab-link ' + (i == 0 ? 'active' : '') + '"> <i class="'
        + Datas.Views[i].i + '"></i><span class="tabbar-label">' + Datas.Views[i].n + '</span></a>';
	  
//    s += '<a id="viewbutton-' + i + '"' + (Datas.Views[i].f ? ' onclick=\'' + Datas.Views[i].f + '\'' : '')
//        + ' href="#view-' + i + '"' + ' class="tab-link ' + (i == 0 ? 'active' : '') + '"> <i class="'
//        + Datas.Views[i].i + '"></i><span class="tabbar-label">' + Datas.Views[i].n + '</span></a>';
  }
  return s;
};

getPageDiv = function(view, page, content) {
  var s = '<div data-page="' + view + '_' + page + '" class="page bg-light">';
  s += getPageNavBar(view, page);
  var p = Datas.Views[view].o[page];
  s += '<div id="pc_' + view + "_" + page + '" class="page-content ' + (p && p.h == false ? 'p-t-n' : '')
      + (p.pl ? p.pl : '') + '" ' + (p && p.h == false ? 'style="padding-top:0px"' : '') + '>' + content + '</div>';
  s += '</div>';
  return s;
};

getPageNavBar = function(view, page) {
  var s = '';
  var p = Views[view].o[page];
  if (p) {
    if (p.b && p.b.v == true) {

    } else {
      s += '<div class="navbar" ' + (p.h == false ? 'style="display:none"' : '')
          + '><div class="navbar-inner p-r-l-n"><div class="left">';
      if (p.b && p.b.l) {
        if (p.b.l.y == "0") {
          s += '<a href="#" class="icon-only"></a>'
        } else {
          s += '<a href=\'javascript:' + p.b.l.a + '\' class="link icon-only">';
          s += '<i class="' + p.b.l.i + '">';
          if (p.b.l.n) {
            s += p.b.l.n;
          }
          s += '</i></a>';
          ;
        }
      } else if ('index' != page) {
        s += '<a href="{{Current.backPage}}" class="back link icon-only">';
        s += '<i class="iconfont icon-left font-xxl font-fff"></i></a>';
      }
      var h = (p.h ? p.h : (p.n ? p.n : ''));
      s += '</div><div class="center font-fff">' + h + '</div><div class="right">';
      if (p.b && p.b.r) {
        for ( var j in p.b.r) {
          var btn = p.b.r[j];
          s += '<a href="#" onclick=\''
              + (btn.m ? 'showMenu(this,"' + view + '","' + page + '","' + j + '");' : (btn.a ? btn.a : ''))
              + '\' class="link icon-only"><i class="' + btn.i + '"></i>' + (btn.n ? btn.n : '') + '</a>';
        }
      } else {
        if ('index' != page) {
          s += '<a href="#" class="icon-only"></a>'
        }
        //s += '<a href="#  class="open-panel link icon-only"><i class="icon icon-back"></i></a>';
        //s += '<a onclick="showMenu(this);"><i class="iconfont icon-left font-xxl font-fff"></i></a>';
      }
    }
    s += '</div></div></div>';
  } else {
    s += '<div class="navbar"><div class="navbar-inner p-r-l-n"><div class="left">';
    s += '<a href="#" class="back link icon-only">';
    s += '<i class="iconfont icon-left font-xxl font-fff"></i></a>';
    s += '</div></div></div>';
  }
  return s;
};

setCurrent = function(n, v) {
  Current[n] = v;
};

getCurrent = function(n, v) {
  if (Current[n]) {
    return Current[n];
  } else {
    return v;
  }
};

showMessage = function(m) {
  var s = '<div class="preloader-indicator-overlay"></div><div class="preloader-indicator-modal"><span class="font-fff">'
      + m + '</span></div>';
  $('body').append(s);
  setTimeout('hideMessage();', 2000);
};

hideMessage = function() {
  $('.preloader-indicator-overlay, .preloader-indicator-modal').remove();
};

showMenu = function(t, v, p, j) {
  var m = Datas.Views[v].o[p].b.r[j].m;
  var s = '<div class="popover"><div class="popover-inner"><div class="list-block"><ul>';
  for ( var i in m) {
    s += '<li><a href=\'javascript:' + m[i].a + '\' class="item-link list-button">' + m[i].n + '</li>';
  }
  s += '</ul></div></div></div>';
  myApp.popover(s, t);
};

getWizardSteps = function(w, p) {
  var s = '';
  var wizard = Datas.Wizards[w];
  var l = getObjectSize(wizard.s);
  var c = '50';
  if (l == 3) {
    c = '33';
  } else if (l == 4) {
    c = '25';
  } else if (l == 5) {
    c = '20';
  }
  for ( var i in wizard.s) {
    s += '<li class="' + (i == '1' ? 'step-first' : (i == l ? 'step-last' : (1 * i > 1 * p ? '' : 'step-now')))
        + ' col-' + c + '">';
    if (1 * p > 1 * i) {
      s += '<div class="step-done" onclick="showBackWizardStep(\'' + w + '\',\'' + i
          + '\');"><div class="step"></div><div class="step-name">' + wizard.s[i].n + '</div></div>';
    } else if (1 * p == 1 * i) {
      if (i == '1') {
        s += '<div class="step">' + i + '</div><div class="step-name">' + wizard.s[i].n + '</div>';
      } else {
        s += '<div class="step-now"><div class="step">' + i + '</div><div class="step-name">' + wizard.s[i].n
            + '</div></div>';
      }
    } else {
      s += '<div class="step">' + i + '</div><div class="step-name">' + wizard.s[i].n + '</div>';
    }
    s += '</li>';
  }
  return s;
};

getWizardTabs = function(w, p) {
  var s = '';
  var wizard = Datas.Wizards[w];
  for ( var i in wizard.s) {
    s += '<div id="tab-' + w + '-' + i + '" class="page-content tab p-t-n"></div>';
  }
  return s;
};

initWizard = function(w, p) {
  if (!p) {
    p = 1;
  }
  Datas.Current.wizard[w] = {
    s : p
  };
  $('#tab-' + w).html(getWizardTabs(w, p));
  showWizardStep(w, p);
};
//只显示页面不刷新数据
showBackWizardStep = function(w, p) {
	if (w=='tvplaceOrder'||w=='placeOrder') {
		$('#_agree').attr('style','display:none');
	  }
	if ((w=='tvplaceOrder'||w=='placeOrder')&&p==2) {
		$('#_agree').attr('style','');
	  }
  Datas.Current.wizard[w] = {
    s : 1 * p
  };
  $('#wizard-' + w).html(getWizardSteps(w, p));
  myApp.showTab("#tab-" + w + '-' + p);
  var wizard = Datas.Wizards[w];
  var l = getObjectSize(wizard.s);
  if (l == p) {
    document.getElementById("toolbar").innerHTML = getToolbarButton(wizard.f, w + 'Complete();');
  } else {
    document.getElementById("toolbar").innerHTML = getToolbarButton('下一步', 'nextWizardStep("'+w+'");');//写死待改进
  }
};
showWizardStep = function(w, p) {
  Datas.Current.wizard[w] = {
    s : 1 * p
  };
  $('#wizard-' + w).html(getWizardSteps(w, p));
  var view = getCurrentViewIndex();
  if (w=='placeOrder'&&p==2) {
	  loadTemplate(view, w + '_' + p+'_'+Datas.Current.contracttype, renderPage, view, w + '_' + p+'_'+Datas.Current.contracttype, 'tab-' + w + '-' + p);
  } else {
	  loadTemplate(view, w + '_' + p, renderPage, view, w + '_' + p, 'tab-' + w + '-' + p);
  }
  myApp.showTab("#tab-" + w + '-' + p);
  var wizard = Datas.Wizards[w];
  var l = getObjectSize(wizard.s);
  if (l == p) {
    document.getElementById("toolbar").innerHTML = getToolbarButton(wizard.f, w + 'Complete();');
  } else {
    document.getElementById("toolbar").innerHTML = getToolbarButton('下一步', 'nextWizardStep("'+w+'");');//写死待改进
  }
};

showTab = function(n) {
  myApp.showTab("#tab-" + n);
};

runPageJs = function(page) {
  try {
    if (!RunPages[page]) {
      RunPages[page] = {};
      eval('initPage_' + page + '()');
    }
  } catch (e) {
  }
  try {
    eval('showPage_' + page + '()');
  } catch (e) {
  }
};

nextWizardStep = function(w) {
  var p = 2;
  if (Datas.Current.wizard[w]) {
    if (Datas.Current.wizard[w].s) {
      p = Datas.Current.wizard[w].s + 1;
      Datas.Current.wizard[w].s = p;
    } else {
      Datas.Current.wizard[w] = {
        s : p
      };
    }
  } else {
    Datas.Current.wizard[w] = {
      s : p
    };
  }
  var fu = 'if (check' + w + (p - 1) + ') {check' + w + (p - 1) + '();}else{}';
  var b = eval(fu);
  if (b) {
    showWizardStep(w, p);
  } else {
    p = Datas.Current.wizard[w].s - 1;
    Datas.Current.wizard[w].s = p;
    return;
  }
};

initApp = function() {
  $$("#views").html(getViews());
  for ( var i in Datas.Views) {
    $$('#view-' + i).on('show', function() {
      var i = this.id.substring(5);
      try {
    	  console.log("onViewShow_" + i)
        eval("onViewShow_" + i + "();");
      } catch (e) {

      }
    });
    var v = myApp.addView('#view-' + i, {
      domCache : false,
      uniqueHistory : true,
      uniqueHistoryIgnoreGetParameters : true
    });
    loadPageTemplate(i, 'index', renderView, v, i, 'index', 'pages-' + i);
  }
  $$("#popups").html(getPopups());
  loadAppCss();
  loadAppJs();
  
  // 初始化登陆信息
  if (localStorage.getItem('loginStatus') === null) {
	  
	  var loginStatus = {
		userId: '',
		oldId: '',
		userSession: '',
		accountName: '',
		accountLoginType: '',
		orderList: [],
		orderUser: false
	  };

	  localStorage.setItem('loginStatus', JSON.stringify(loginStatus));
  }
  
  
  $('#viewbutton-0').on('click', function() {
	if ($('#view-0').hasClass('active')) {
		sessionStorage.setItem('go', 'index');
		location.href = 'index.html';
	}
  });
  
  $('#viewbutton-1').on('click', function() {
	  sessionStorage.setItem('go', 'order');
	  
	  location.href = 'index.html';
  });
  
  $('#viewbutton-2').on('click', function() {
	  if (JSON.parse(localStorage.getItem('loginStatus')).userSession === '') {
		  sessionStorage.setItem('go', 'login');
	  } else if (JSON.parse(localStorage.getItem('loginStatus')).userSession !== '') {
		  sessionStorage.setItem('go', 'me');
	  }
	  location.href = 'index.html';
  });
  
  // 如果在新模块中已经登陆，登陆旧模块
  if (JSON.parse(localStorage.getItem('loginStatus')).userSession !== '') {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

	  Datas.Me._id = loginStatus.userId;
	  Datas.Me._s = loginStatus.userSession;
	  
	  callAppApi({
		  url: '/app/userInfo',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  isOldUser: loginStatus.oldUser,
			  oldId: loginStatus.oldId,
			  userSession: loginStatus.userSession
		  },
		  successCallback: function(response) {
				User.a = response.userName;
				User.k = response.userIdentityCardNumber;
				
				Datas.User.a = response.userName;
				Datas.User.k = response.userIdentityCardNumber;
		  },
		  errorCallback: function(err) {}
	  })
  }
  
  // 订单详情跳旧详情
  var orderDetailQuery = $$.parseUrlQuery(location.href);
  
  if (typeof orderDetailQuery.orderId === 'string' && typeof orderDetailQuery.orderType === 'string') {
	  function getOldOrderType (orderType) {
		  if (orderType === '001001') {
			  return '0010';
		  } else if (orderType === '001003') {
			  return '0020';
		  } else if (orderType === '001002') {
			  return '0030';
		  }
	  }
	  
	  var oldOrderId = orderDetailQuery.orderId;
	  var oldOrderType = getOldOrderType(orderDetailQuery.orderType);
	  
	  var timeA = setTimeout(function() {
		  creditLimitCheck();   // @L: 小件均跳转到订单详情，赋值额度值  lisai 
		  goPage('index', '1');
		  goOrderDetail(oldOrderId, oldOrderType);
		  
		  var timeB = setTimeout(function() {
			  if (myApp.getCurrentView().activePage.name === '1_order_detail'||myApp.getCurrentView().activePage.name === '1_tvorder_detail') {
				  $$('#view-1 .navbar .left .link').removeClass('back').on('click', function() {
					  sessionStorage.setItem('go', 'order');
					  location.href = 'index.html';
				  });
			  }
			  goOrderDetail(oldOrderId, oldOrderType);
			  clearTimeout(timeB);
		  }, 700);
		  
		  clearTimeout(timeA);
	  }, 700)
  }
    
};

renderView = function(v, view, page, id) {
  var t = Templates[view + '_' + page];
  v.router.load({
    content : t(Datas),
    animatePages : false
  });
  //$$("#" + id).html(t(Datas));
  runPageJs(view + '_' + page);
};

/**
 *
 * @param p  page
 * @param v view
 * @param t tab
 */
reloadPage = function(p, v, tb) {
  var t;
  if (!p) {
    t = Templates[myApp.getCurrentView().activePage.name];
  } else {
    if (!v && v != 0) {
      v = getCurrentViewIndex();
    }
    t = Templates[v + '_' + p];
  }
  if (!ifNullString(tb)) {
    var html = t(Datas);
    var objecthtml = $.parseHTML(html);
    var tabobj = $(objecthtml[0]).find('.tabs');
    var tabs = tabobj.children('div');
    for ( var i in tabs) {
      if (tb == $(tabs[i]).attr('id')) {
        $(tabs[i]).addClass("active");
      } else {
        $(tabs[i]).removeClass("active");
      }
      var tb_id = $(tabs[i]).attr('id');
      $('#' + tb_id).empty();
      $('#' + tb_id).append($(objecthtml[0]).find('#' + tb_id).html());
      if (i == (tabs.length - 1))
        break;
    }
    return;
  }
  myApp.views[v].router.reloadContent(t(Datas));
  refreshTabBar(v+'_'+p);
  /*
  var t = Templates[myApp.getCurrentView().activePage.name];
  myApp.getCurrentView().router.load({
    content : t(Datas),
    animatePages : false
  });
  */
};

loginUser = function() {
  //goPage('me');
  mainView.router.back();
  //myApp.getCurrentView().router.back();
};

loadIndex = function(view) {
  myApp.views[view].router.load({
    page : view + '_index',
    context : Datas
  });
};

putSessionStorage = function(name, value) {
  eval('sessionStorage.' + name + '="' + value + '"');
};

getSessionStorage = function(name, value) {
  return eval('sessionStorage.' + name);
};

goRefreshPage = function(page, view) {
  var t = Templates[view + '_' + page];
  if (t == null) {
    goPage(page, view);
  } else {
    myApp.getCurrentView().router.load({
    	reload:true,
      content : t(Datas),
      animatePages : false
    });
    initPageFunc(view + '_' + page);
  }
};

loadPopup = function(view, page) {
  var t = getTemplate(view + '/' + page, '');
  if(isNull(t)){
	  return $.ajax({
		    url : 'template/' + view + '/' + page + '.html',
		    dataType : "text",
		    type : "GET",
		    async : false
		  })["responseText"]; 
  }else{
	  return t;
  }
  
};

getPageHtml = function(template, Datas) {
  var compliedTemplate = Template7.compile(template);
  return compliedTemplate(Datas);
};

getPopups = function() { //初始化导入
  var s = '';
  for ( var i in Datas.Popups) {
    if (Datas.Popups[i].a == '1') {
      s += getPageHtml(loadPopup(Datas.Popups[i].v, Datas.Popups[i].p), Datas);
    }
  }
  return s;
};

getPopup = function(view, page,pop) {
	if(pop){
		$$("#"+pop+"").html(getPageHtml(loadPopup(view, page), Datas));
		RunPopups2[view+'_'+page]=page;

	}else{
		$$("#popups").html(getPageHtml(loadPopup(view, page), Datas));
		RunPopups[view+'_'+page]=page;
	}
};

getInit = function() {
  callAction('AppInit', 'getInitApp', '', setInitData);
}
setInitData = function(a) {
  var data = eval(a.c);
  Datas.Products = data.Products;
  Datas.Banners = data.Banners;

  Datas.PhoneHots = data.PhoneHots;
  var j=0;
  for(var i in Datas.PhoneHots){
		if(j>2){			
	      delete Datas.PhoneHots[i];			
		}
		j++;
	}
  console.log(Datas.PhoneHots);
  Datas.HidePhone ="show";
  Datas.TVHots = data.TVHots;
  var q=0;
  for(var p in Datas.PhoneHots){
		if(q>2){			
	      delete Datas.PhoneHots[p];			
		}
		q++;
	}
  putLocalStorageJson('cacheFirstPage', a.c);
  initApp();
}
//getInit();

/**   
 * @Title: init.js 
 * @Package: WebContent/app/js/lib 
 * @Description: checkVersion为原始的自动更新，若要执行自动更新请执行checkVersion    
 * @author: lisai   
 * @date: 2017年1月10日 下午3:01:43 
 * @version:    
 */
//checkVersion = function() {
//	  var sPost = '{"a":"App","c":"checkVersion"}';
//	  myApp.showPreloader('处理中');
//	  try{
//	  $.ajax({
//	    url : PostAction,
//	    data : {
//	      a : encrypt(sPost, ''),
//	      b : apptoken,
//	      c : ''
//	    },
//	    type : "post",
//	    timeout : '30000',
//	    success : function(data) {
//	      var a = eval("(" + data + ");");
//	      if (a.m) {
//	        myApp.alert(a.m);
//	      }
//	      if (a.c) {
//	        eval(a.c);
//	      }
//	      if (a.s == '1') {
//	        getInit();
//	      }
//	    },
//	    error : function(data) {
//	      myApp.hidePreloader();
//		  myApp.alert('连接有问题，请稍后尝试');
//	      var d = getLocalStorageJson('cacheFirstPage');
//	      if (isNull(d)) {
//	        Datas.Products = defaultFirstPage.Products;
//	        Datas.TVHots = defaultFirstPage.TVHots;
//	        Datas.Banners = defaultFirstPage.Banners;
//	        Datas.PhoneHots = defaultFirstPage.PhoneHots;
//	        initApp();
//	      } else {
//	        Datas.Products = d.Products;
//	        Datas.TVHots = d.TVHots;
//	        Datas.Banners = d.Banners;
//	        Datas.PhoneHots = d.PhoneHots;
//	        initApp();
//	      }
//	    },
//	    complete: function() {
//	      myApp.hidePreloader();
//	    }
//	  });
//	}catch (e) {
//		myApp.hidePreloader();
//		myApp.alert('连接有问题，请稍后尝试');
//	}
//}



/**   
 * @Title: no_checkVersion：运营商APP不执行自动更新提示
 * @Package: WebContent/app/js/lib 
 * @Description: no_checkVersion为与分期业务合并，不执行更新检测直接加载页面信息
 * @author: lisai   
 * @date: 2017年1月10日 下午2:54:39 
 * @version:    
 */
no_checkVersion=function(){
	loadAppJs();
	getInit();
};
no_checkVersion();
/**   
 * @Title: creditLimitCheck
 * @Description: 小件均跳转到订单详情，赋值额度值
 * @author: lisai   
 * @date:2017年1月18日17:32:06
 */
creditLimitCheck=function(){
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));	
	 var orderDetailQuery = $$.parseUrlQuery(location.href);
	if(loginStatus.userId!==''){
		 callAppApi({
				url: '/api/checkCredit',
				type: 'POST',
				params: {
					userId : loginStatus.userId,
					isOldUser : loginStatus.oldUser,
					creditType:orderDetailQuery.orderType
				},
				successCallback: function(response){
					console.log(response);
					Datas.User.m = response.creditLine;
				},
				errorCallback: function(err) {}
			});
	}else{
		 goPage("index","0");
	}
}
