define([
  'js/config',
  'js/utilities'
], function(
  config,
  utilities
) {
	var SKIP = config.SKIP;
	var getDeviceType = utilities.getDeviceType;
	
	/**
	 * 检测是否有前置摄像头
	 */
	function detectFrontCamera(successCallback, errorCallback) {
		if (!SKIP.cordova_detectFrontCamera && getDeviceType() == 'ANDROID') {
			PaPlugin.detectFrontCamera('','','',function(res) {
				if (res == '1') {
					successCallback(res);
				}
			}, function(err) {
				if (err == '-1') {
					errorCallback(err);
				} else {
					errorCallback(err);
				}
			})
		}else{
			successCallback()
		}
	}
	
	
	
	return {
		detectFrontCamera: detectFrontCamera
	}
})
