define([
	'js/utilities',
	'adultEducation/adultEducationContainers/chooseGoods/chooseGoodsView'
], function(
	utilities,
	chooseGoodsView
) {
	var callAppApi = utilities.callAppApi;
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		// 隐藏底部菜单栏
		if (mainView.activePage.name === 'adultEducationChooseGoods') {
			f7.hideToolbar('#toolbar');
		}
		callAppApi({
		      url: '/app/credit/audit/infoQuery',
			  type: 'POST',
			  params: {
				  baseBusinessType: '003002',
				  userId: loginStatus.userId
			  },
			  successCallback: function(auditQueryRes) {
				
				  chooseGoodsView.render({
					    query: query,
					    auditQueryRes: auditQueryRes,
					    userId:loginStatus.userId,
					    fromPage:query.fromPage,
					    creditStatus: query.creditStatus,
					    auditInfoStatus: query.auditInfoStatus,
					});
			  },
			  errorCallback: function(err) {}
		  });
	
	}
	
	return {
		init: init
	}
})