define([
  'jquery',
  'js/utilities',
  'js/config',
  'js/validator',
  'advanceCredit/advanceCreditComponents/authentication/authStep1/authStep1Pad',
  'advanceCredit/advanceCreditComponents/authentication/authStep2/authStep2View',
  'hbs!advanceCredit/advanceCreditComponents/authentication/inputArea',
  'hbs!components/common/button/button'
], function(
 $$,
  utilities,
  config,
  validator,
  authStep1Pad,
  authStep2View,
  inputAreaTemplate,
  buttonTemplate
) {
  // 声明选择地区变量
//  var pickerLocation;
  var userLocationCode = '';
  var getDay = utilities.getDay;
  
  var bindPadEventAuthStep1 = authStep1Pad.bindPadEventAuthStep1;
  var sendPadDataAuthStep1 = authStep1Pad.sendPadDataAuthStep1;
  
  var SKIP = config.SKIP;
  
  var contactsLength = '';
  var contactsAuthorization = '';
  
  var addressList=JSON.stringify([]);
  
  var basicInfoParams = {};
  
  var currentOrderId = '';

  //出生日期
  var userBirthday='';
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userId = loginStatus.userId;
	  
	  basicInfoParams = params;

	  TalkingData.onPage("身份认证1");		
	  TalkingData.onPageBegin("身份认证1_填写时间");	
		
	  // 登陆信息
	  f7.hideToolbar('#toolbar');
	  
	  // 请求客户信息回显
	  var defaultUserInfo = {};
	  
	  // storage保存信息
	  var storageUserInfo = {};
	 if (typeof localStorage.getItem('basicInfoData'+ '_' + userId) === 'string' && localStorage.getItem('basicInfoData'+ '_' + userId) !== '') {
			  storageUserInfo = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + userId));
	  }
	  
//	  if (params.userInfo && params.userInfo.userCredit !== '' &&params.userIsCredit===true ) {
//		  defaultUserInfo = params.userInfo || {};
//	  }
//	  
//	  if(params.userInfo.userPhoneNumber !==''){
//		  defaultUserInfo.userPhoneNumber=params.userInfo.userPhoneNumber
//	  }

	  var disabledStatus = false;

	  // 身份证号的按照需求的获取方式
	  var defaultIdCard = defaultUserInfo.userIdentityCardNumber || '';
	  
	  var  basicInfoHtml=params.basicInfoHtml		
	  var authStep1Html = inputAreaTemplate({
		  tabbarId: 'basicInfoTabbar',
		  formId:basicInfoHtml.formId,
		  inputList:basicInfoHtml.elementsList,
		  visibleStatus:basicInfoHtml.indicationStatus,
	  });
		  
	// 渲染authStep1页面
	$('#tabAuthStep1').html(authStep1Html);
	
  	// 渲染头部导航栏
	  loadAdvanceCreditComponent('navbar', 'common', {
		  container: '.basicInfoNavbar',
		  title: '额度申请',
		  backClass: 'basicInfoBackBtn',
		  isBackIcon: true,
		  isBack: false
	  }); 
	
	// 渲染头部状态栏
	loadAdvanceCreditComponent('authenticationTabbar', 'authentication', {
		container: '#basicInfoTabbar',
		tabIndex: 1
	});
	
	// 渲染按钮
	$('#authBtn').html(buttonTemplate({
		id: 'authStep1Btn',
		value: '下一步',
		disabled: false,
	}));
	
	//动态获取城市选择器ID
	var pickerLocationId='' 
	var pickerLocationValue=[]
	basicInfoHtml.elementsList.map(function(item, index) {
		 if(item.type==="location"){
			 pickerLocationId=item.domId;
			 pickerLocationValue=item.defaultValue;
			 pickerLocationValue=(item.defaultValue==""?"":eval(pickerLocationValue));//JSON.parse
		 }
	 })
		
	
	bindPadEventAuthStep1();
		
	// 为按钮绑定事件
	$('#authStep1Btn').on('click',function(){
		TalkingData.onEventWithLabel('身份认证1', '下一页');
		userLocationCode = pickerLocation.value;
		authStep1BtnClick(params);
	});
	
	//返回按钮
	$('#authBack1').on('click', function() {
		  loadAdvanceCreditPage('expectCredit', {
				query: {
					fromPage: 'chooseProfession',
				}
			});
	});
  
	  // 根据身份证号更新出生日期
	  // 默认回显	  
	  if (defaultIdCard !== '') {
		  userBirthday=(parseInt(defaultIdCard.slice(6, 10))+'-'+parseInt(defaultIdCard.slice(10, 12))+'-'+ parseInt(defaultIdCard.slice(12, 14)));
	  }
	  
	  // 手动输入回显
	  if (!$('#userIdentityCardNumber').attr('disabled')) {
		  $('#userIdentityCardNumber').on('blur', function() {

			  if (!validator.checkPersonId($(this).val())) {
				  f7.alertMessage('请填写正确的身份证号码');
				  return false;
			  } else {
				  userBirthday=(parseInt($(this).val().slice(6, 10))+'-'+parseInt($(this).val().slice(10, 12))+'-'+ parseInt($(this).val().slice(12, 14)));
			  }
		  });
	  }

	  // 渲染城市选择框
	  var defaultProValueList = [];
	  var defaultProViewList = [];
	  
	  for (var o in PrivinceD) {
		  defaultProValueList.push(o);
		  defaultProViewList.push(PrivinceD[o].name);
	  }
	  
	  var defaultCityValueList = [];
	  var defaultCityViewList = [];
	  
	  for (var p in Areadata['110000']['city']) {
		  defaultCityValueList.push(p);
		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
	  }
	  
	  var defaultAreaValueList = [];
	  var defaultAreaViewList = [];
	  
	  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
		  defaultAreaValueList.push(q);
		  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
	  }

	var pickerLocation = f7.picker({
	    input: '#'+pickerLocationId,
	    rotateEffect: true,
	    toolbarCloseText: '完成',
	    formatValue: function (picker, values, displayValues) {
//			  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
	    	 if(values.length === 2 && displayValues.length === 0){
				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
			  }else if (values.length === 3 && displayValues.length === 0) {
				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
			  }else {
				  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
			  }
	    },
	    cols: [
	        {
	            textAlign: 'left',
	            values: defaultProValueList,
	            displayValues: defaultProViewList,
	            onChange: function (picker, value, displayValue) {
	            	
	                if(picker.cols[1].replaceValues){
	                	var cityValueArr = [];
	                	var cityViewArr = [];
	                	for (var i in Areadata[value]) {
	                		if (i === 'city') {
	                			for (var j in Areadata[value][i]) {
	                				cityValueArr.push(j);
	                				cityViewArr.push(Areadata[value][i][j].name)
	                			}
	                		}
	                	}
	                	
	            		var areaValueArr = [];
	            		var areaViewArr = [];
	            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
	  						  areaValueArr.push(' ');
							  areaViewArr.push(' ');
	            		}else{
	            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
		            			areaValueArr.push(k);
		            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
		            		}
	            		}
    		
	                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
	                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	                }
	            }
	        },
	        {
	            values: defaultCityValueList,
	            displayValues: defaultCityViewList,
	            width: 160,
	            onChange: function(picker, value, displayValue) {
	            	if (picker.cols[2].replaceValues) {
	            		var areaValueArr = [];
	            		var areaViewArr = [];
	            		
	            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
	            		  for (var x in cityDataArr) {
	            			  if (x === 'area') {
	            				  if(cityDataArr[x]===null){
            						  areaValueArr.push(' ');
            						  areaViewArr.push(' ');
            					  }else{
            						  for (var y in cityDataArr[x]) {
		            						  areaValueArr.push(y);
			            					  areaViewArr.push(cityDataArr[x][y]);
	            					  }
	            				  }
	            			  }
	            		  }
	            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	            	}
	            }
	        },
	        {
	        	textAlign: 'center',
	        	values:	defaultAreaValueList,
				displayValues: defaultAreaViewList,
	        	width: 160
	        }
	    ],
	    onOpen: function(picker) {
	    	if (pickerLocationValue!=="") {
				pickerLocation.setValue(pickerLocationValue);
			}
	    },
	});
	
	// 设置城市的默认值
	if (pickerLocationValue!=="") {
		pickerLocation.setValue(pickerLocationValue);
	}
  }
  
	function authStep1BtnClick(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var userId = loginStatus.userId;
		
		if (validator.isNull($('#userIdentityCardNumber').val())) { f7.alert('请填写身份证号码'); return false; }
		if (!validator.checkPersonId($('#userIdentityCardNumber').val())) { f7.alert('您的姓名或身份证号有误，请检查并修改'); return false; }
		if (validator.isNull($('#userName').val())) { f7.alert('请填写姓名'); return false; }
		
		if (!validator.checkTel($('#userPhoneNumber').val())) { f7.alert('请填写本人手机号'); return false; }
		if (validator.isNull($('#userBankCardNumber').val())) { f7.alert('请填写银行卡号'); return false; }
		if (!validator.checkBankNo($('#userBankCardNumber').val())) { f7.alert('请确认您本人的银行卡号填写正确'); return false; }
		if ($('#userMaritalStatus').val() === 'selected'||$('#userMaritalStatus').val()==null || validator.isNull($('#userMaritalStatus').val())) { 
			f7.alert('请选择婚姻状况'); return false; 
			}
		if ($('#userHighestEducation').val() === 'selected' || $('#userHighestEducation').val() === null||validator.isNull($('#userHighestEducation').val())) { f7.alert('请选择最高学历'); return false; }
		if ($('#userDwellingCondition').val() === 'selected' ||$('#userDwellingCondition').val()==null || validator.isNull($('#userDwellingCondition').val())) { f7.alert('请选择居住状况'); return false; }
		if (validator.isNull($('#userDwellingAddress').val()) ||$('#userDwellingAddress').val()==null) { f7.alert('请选择居住地址'); return false; }
		if (validator.isNull($('#userDwellingDetailAddress').val())) { f7.alert('请填写详细地址'); return false; }
		var userDwellingAddressCheck=$('#userDwellingDetailAddress').val()
		if(userDwellingAddressCheck.length<5) { f7.alert('请填写完整的详细地址'); return false; }
		
		var basicInfoData = f7.formToJSON('#'+params.basicInfoHtml.formId);
		//通过身份证号获取生日
		if(basicInfoData.userIdentityCardNumber){
			basicInfoData.userBirthday=parseInt(basicInfoData.userIdentityCardNumber.slice(6, 10))+'-'+parseInt(basicInfoData.userIdentityCardNumber.slice(10, 12))+'-'+ parseInt(basicInfoData.userIdentityCardNumber.slice(12, 14));
		}else{
			basicInfoData.userBirthday=userBirthday;
		}
//		basicInfoData.userBirthday=userBirthday;
		basicInfoData.userLocationCode = userLocationCode;
		basicInfoData.userDwellingAddress = $('#userDwellingAddress').val();
		
		
		// 在utilities.js的logout方法中重置
		localStorage.setItem('basicInfoData' + '_' + userId, JSON.stringify(basicInfoData));
		
		f7.showTab('#tabAuthStep2');
		loadAdvanceCreditComponent('authStep2', 'authentication',{
			basicInfoParams:basicInfoParams,
			userType : params.userType,
			nextPageCode : basicInfoParams.basicInfoHtml.nextPageCode,
			filterRuleId :params.filterRuleId,
			expectedLimitMoney:params.expectedLimitMoney,
			expectedLimitType:params.expectedLimitType
		});
		
		// pad埋点需求
		sendPadDataAuthStep1(currentOrderId);
		TalkingData.onEventWithLabel('身份认证1', '成功修改“本人手机号”');
		TalkingData.onPageEnd("身份认证1_填写时间");
	};
  
  return {
	 render: render,
	 authStep1BtnClick: authStep1BtnClick,
  }
})