define([
  'js/utilities',
  'advanceCredit/advanceCreditContainers/advanceCreditAuthentication/advanceCreditAuthenticationView'
], function(
  utilities,
  advanceCreditAuthenticationView
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
		if (mainView.activePage.name === 'advanceCreditAuthentication') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}

		// 注册显示事件
		f7.onPageBack('authentication', function() {
			f7.showToolbar('#toolbar');
		});
    //接期望额度传来的数据
		advanceCreditAuthenticationView.render({
			expectedLimitMoney:query.expectedLimitMoney,
			filterRuleId:query.filterRuleId,
			userType:query.userType,
			expectedLimitType:query.expectedLimitType
		});
  }
  
  return {
	init: init,
  };
});