define([
  'js/utilities',
  'advanceCredit/advanceCreditContainers/advanceCreditHousingLoan/advanceCreditHousingLoanView'
], function(
  utilities,
  advanceCreditHousingLoanView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 请求用户信息
	  callAppApi({
		  url: '/app/credit/loanPage',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
		  },
		  successCallback: function(response) {
			  var responseData = response || {};
			  advanceCreditHousingLoanView.render({
				  housingLoanHtml: responseData,
				  userType :query.userType,
				  creditAuditId:query.creditAuditId||sessionStorage.getItem("creditAuditId")
			  });
		  }
	  });
  }
  
  return {
	init: init,
  };
});
