define([
    'js/config',
    'js/utilities',
    'hbs!advanceCredit/advanceCreditContainers/advanceCreditSetPassword/advanceCreditSetPassword',
    'hbs!components/common/button/button',
], function(
    config,
    utilities,
    SetPasswordTemplate,
    buttonTemplate
) {
    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
    var buildNumber = config.buildNumber;
    var SKIP = config.SKIP;
    var logout = utilities.logout;

    function render(params) {
        // 渲染导航栏
        /*loadAdvanceCreditComponent('navbar', 'common', {
            container: '#expectCreditNavbar',
            title: '期望额度',
            backClass: 'expectCreditBackBtn',
            isBackIcon: true,
            isBack: false
        });*/
        loadAdvanceCreditComponent('navbar', 'common', {
            container: '#setPasswordNavbar',
            title: '设置交易密码',
            backId: 'setPasswordBackBtn',
            isBackIcon: true,
            isBack: true,
            iconRightId: 'skipSetPasswordBtn',
            iconRightStatus: true,
            iconRight:'跳过',
            iconRightClass: 'skipSetPasswordSkipBtn'
        });


        // 渲染页面
        $('#setPasswordContent').html(SetPasswordTemplate({

        }));

        // 渲染底部按钮
        $('#setPasswordBtnBox').html(buttonTemplate({
            id : 'setPasswordBtn',
            value : '下一步',
            disabled : false,
        }));

     //校验密码
		$("#setPassword-inputBox").on("input",function (ev) {
			var inputTarget=ev.target;
			alert($(inputTarget).val())
        })
     //点击下一步按钮
      $("#setPasswordBtnBox").on("click",function () {
            	  loadAdvanceCreditPage('housingLoan', {
              query: {

              }
          });
      })

    }

    return {
        render: render
    }
});