define([
  'js/utilities',
  'js/config',
  'js/validator',
  'applianceComponents/authentication/authStep1/authStep1Pad',
  'applianceComponents/authentication/authStep2/authStep2View',
  'hbs!applianceComponents/authentication/inputArea',
  'hbs!components/common/button/button'
], function(
  utilities,
  config,
  validator,
  authStep1Pad,
  authStep2View,
  inputAreaTemplate,
  buttonTemplate
) {
  // 声明选择地区变量
//  var pickerLocation;
  var userLocationCode = '';
  var getDay = utilities.getDay;
  var getDeviceType = utilities.getDeviceType;
  
  var bindPadEventAuthStep1 = authStep1Pad.bindPadEventAuthStep1;
  var sendPadDataAuthStep1 = authStep1Pad.sendPadDataAuthStep1;
  
  var SKIP = config.SKIP;
  
  var contactsLength = '';
  var contactsAuthorization = '';
  
  var addressList=JSON.stringify([]);
  
  var authStep1Params = {};
  
  var currentOrderId = '';
  //出生日期
  var userBirthday='';
  function render(params) {
	  currentOrderId = params.orderId || '';
	  loadApplianceComponent('navbar', 'common', {
		container: '#authNavbar',
		title: '身份认证',
		backId: 'authBack1',
		isBackIcon: true,
		isBack: false,
		page: 'authBack1',
		orderId: params.orderId,
		goodsLogistics: params.goodsLogistics,
		orderStatus:params.orderStatus,
		orderDetailData:params.orderDetailData
	  });
	  authStep1Params = params;
		TalkingData.onPage("身份认证1");		
		TalkingData.onPageBegin("身份认证1_填写时间");	
//		$("#authNavbar .left #back").on('click', function() {
//			TalkingData.onEventWithLabel('身份认证1', '返回');
////			  mainView.router.load({
////				  url: 'order.html',
////				  animatePages: false
////			  });
//	    });
		
	  // 登陆信息
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  f7.hideToolbar('#toolbar');
	  // 重置通讯录长度及是否获取到权限。
	  contactsLength = '';
	  contactsAuthorization = '';
	  addressList = JSON.stringify([]);
	
	  // 是否跳过申请通讯录权限
//	  if (!SKIP.cordova_contacts) {
//		  // 申请通讯录权限
//		  navigator.contacts.requestAuth(function(msg) {
//			  contactsAuthorization = '1';
//			  
////			  // 获取通讯录长度
////			  navigator.contacts.contactsNumber(function(len) {
////				  contactsLength = len;
////			  });
//			 // 获取通讯录数据
//			  navigator.contacts.contactsList(function(list) {
//				  
//				  if (Array.isArray(list)) {
//					  contactsLength = list.length.toString();
//				  } else {
//					  contactsLength = '0';
//				  }
//				  
//				  addressList = JSON.stringify(list);
//			  });
//			  
//			  
//		  }, function(msg) {
//			  TalkingData.onEventWithLabel('身份认证1', '拒绝访问通讯录的请求');
//			 if (msg === '-1' && getDeviceType() === 'ANDROID') {
//				 f7.modal({
//					 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
//					 buttons: [{
//						 text: '确定',
//						 onClick: function() {
//							 mainView.loadPage('index.html');
//						 }
//					 }]
//				 });
//				 
//			 } else if (msg === '-2' && getDeviceType() === 'ANDROID') {
//				 f7.modal({
//					 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
//					 buttons: [{
//						 text: '确定',
//						 onClick: function() {
//							 mainView.loadPage('index.html');
//						 }
//					 }]
//				 });
//			 }
//			 
//			  contactsAuthorization = '0';
//		  });
//	  }
	  
	  // 请求客户信息回显
	  var defaultUserInfo = {};
	  
	  // storage保存信息
	  var storageUserInfo = {};
	 if (typeof localStorage.getItem('authStep1Data'  + '_' + params.orderId) === 'string' && localStorage.getItem('authStep1Data' + '_' + params.orderId) !== '') {
		  // 判断额度激活localStorage存储的手机号与当前登录的sessionStorage中存储的手机号是否相同
// 		  // 目前登陆接口已不反回userPhoneNumber字段。删除此条件
//		  if (loginStatus.accountName === JSON.parse(localStorage.getItem('authStep1Data')).userPhoneNumber) {
			  storageUserInfo = JSON.parse(localStorage.getItem('authStep1Data' + '_' + params.orderId));
//		  }
	  }
	  
	  if (params.userInfo && params.userInfo.userCredit !== '' &&params.userIsCredit===true && (params.orderStatus==='10' || params.orderStatus==='11' || params.orderStatus==='12' || params.fromPage=== "applianeCheckFace")) {
		  defaultUserInfo = params.userInfo || {};
	  }
	  
	  if(params.userInfo.userPhoneNumber !==''){
		  defaultUserInfo.userPhoneNumber=params.userInfo.userPhoneNumber
	  }

	  var disabledStatus = false;
//	  if (typeof defaultUserInfo.userCredit === 'string' && defaultUserInfo.userCredit !== '') {
//		  disabledStatus = true;
//	  }

	  // 身份证号的按照需求的获取方式
	  var defaultIdCard = defaultUserInfo.userIdentityCardNumber || '';
	  var authStep1Html = inputAreaTemplate({
		  	formId: 'authStep1Form',
			inputAreaData: [
				{
					title: '个人信息',
					visibleStatus:true,
					inputList: [
						{
							id: 'userName',
							type: 'text',
							label: '姓名',
							placeholder: '请输入姓名',
							value: defaultUserInfo.userName || storageUserInfo.userName || '',
							disabledStatus: disabledStatus
						},
						{
							id: 'userIdentityCardNumber',
							type: 'text',
							label: '身份证号码',
							placeholder: '请输入身份证号码',
							value: defaultIdCard || storageUserInfo.userIdentityCardNumber || '',
							disabledStatus: disabledStatus
						},
//						{
//							id: 'userBirthday',
//							type: 'time',
//							label: '出生日期',
//							placeholder: '请选择出生日期',
//						},
						{
							id: 'userPhoneNumber',
							type: 'text',
							label: '本人手机号',
							placeholder: '请输入本人手机号',
							value: defaultUserInfo.userPhoneNumber || storageUserInfo.userPhoneNumber
						},
						{
							id: 'userBankCardNumber',
							type: 'text',
							label: '银行卡号',
							placeholder: '请输入银行卡号',
							value: defaultUserInfo.userBankCardNumber || storageUserInfo.userBankCardNumber || ''
						},
						{
							id: 'userMaritalStatus',
							type: 'select',
							label: '婚姻状况',
							defaultValue: defaultUserInfo.userMaritalStatus || storageUserInfo.userMaritalStatus || '',
							selectList: [
								{
									value: '',
									view: '请选择婚姻状况'
								},
								{
									value: '已婚',
									view: '已婚'
								},
								{
									value: '未婚',
									view: '未婚'
								},
								{
									value: '离异',
									view: '离异'
								}
							]
						},
						{
							id: 'userHighestEducation',
							type: 'select',
							label: '最高学历',
							defaultValue: defaultUserInfo.userHighestEducation || storageUserInfo.userHighestEducation || '',
							selectList: [
								{
									value: '',
									view: '请选择最高学历'
								},
								{
									value: '博士及以上',
									view: '博士及以上'
								},
								{
									value: '硕士',
									view: '硕士'
								},
								{
									value: '本科',
									view: '本科'
								},
								{
									value: '大专',
									view: '大专'
								},
								{
									value: '高中',
									view: '高中'
								},
								{
									value: '初中及以下',
									view: '初中及以下'
								}
							]
						}
					]
				},
				{
					title: '居住信息',
					visibleStatus:true,
					inputList: [
						{
							id: 'userDwellingCondition',
							type: 'select',
							label: '居住状况',
							defaultValue: defaultUserInfo.userDwellingCondition || storageUserInfo.userDwellingCondition || '',
							selectList: [
								{
									value: '',
									view: '请选择居住状况'
								},
								{
									value: '自购无贷',
									view: '自购无贷'
								},
								{
									value: '自购有贷',
									view: '自购有贷'
								},
								{
									value: '与亲属合住',
									view: '与亲属合住'
								},
								{
									value: '租房',
									view: '租房'
								},
								{
									value: '集体宿舍',
									view: '集体宿舍'
								},
								{
									value: '其他',
									view: '其他'
								}
							]
						},
						{
							type: 'location',
							id: 'userLocation',
							label: '家庭住址',
							placeholder: '请选择城市',
//							value: defaultUserInfo.userLocation || ''
						},
						{
							type: 'textarea',
							id: 'userDwellingAddress',
							placeholder: '请输入家庭地址',
							value: defaultUserInfo.userDwellingAddress || storageUserInfo.userDwellingAddress ||''
						},
						{
							id: 'userPostCode',
							type: 'text',
							label: '邮政编码',
							placeholder: '请输入邮政编码',
							value: defaultUserInfo.userPostCode || storageUserInfo.userPostCode ||''
						}
					]
				}
			]
	  });
	
	// 渲染authStep1页面
	$('#tabAuthStep1').html(authStep1Html);
	
	// 渲染按钮
	$('#authBtn').html(buttonTemplate({
		id: 'authStep1Btn',
		value: '下一步',
		disabled: false,
	}));
	
	bindPadEventAuthStep1();
		
	// 为按钮绑定事件
	$('#authStep1Btn').on('click',function(){
		TalkingData.onEventWithLabel('身份认证1', '下一页');
		
		userLocationCode = pickerLocation.value;
		authStep1BtnClick();
	});
	
	  // 初始化时间组件
//	  var today = new Date();
//	  var pickerDate = f7.picker({
//		input: '#userBirthday',
//		rotateEffect: true,
//		toolbarCloseText: '完成',
//		value: '', //	[today.getFullYear(), today.getMonth(), today.getDate()]
//		onChange: function(picker, values, displayValues) {
//			
//			var daysInMonth = new Date(picker.value[0], picker.value[1] * 1 + 1, 0).getDate();
//			
//			if (values[2] > daysInMonth) {
//				picker.cols[4].setValue(daysInMonth);
//			}
//			
//			var curYear = today.getFullYear();
//
//			if (values[0] === curYear.toString()) {
//				var curMonth = today.getMonth();
//				if (values[1] > curMonth) {
//					picker.cols[2].setValue(curMonth);
//				}
//				
//				var curDate = today.getDate();
//				if (values[2] > curDate) {
//					picker.cols[4].setValue(curDate);
//				}
//			}
//		},
//	    formatValue: function (p, values, displayValues) {
//	    	var displayYear = values[0];
//	    	var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
//	    	var displayDate = values[2] < 10 ? '0' + values[2] : values[2].toString();
//
//	    	return displayYear + '-' + displayMonth + '-' + displayDate;
//	    },
//	    cols: [
//	        // Years
//	        {
//	            values: (function () {
//	                var arr = [];
//	                var curYear = today.getFullYear();
//	                for (var i = 1950; i <= curYear; i++) { arr.push(i); }
//	                return arr;
//	            })()
//	        },
//	        // Space divider
//	        {
//	            divider: true,
//	            content: '  '
//	        },
//	        // Months
//	        {
//	            values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
//	            displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
//	            textAlign: 'left'
//	        },
//	        // Space divider
//	        {
//	            divider: true,
//	            content: '  '
//	        },
//	        // Days
//	        {
//	            values: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31],
//	            displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31').split(' '),
//	            textAlign: 'left'
//	        }
//	    ],
//	    onOpen: function (picker) {
//	    	pickerDate.setValue([today.getFullYear(), today.getMonth(), today.getDate()]);
//	    }
//	});
	  
	  // 根据身份证号更新出生日期
	  // 默认回显	  
	  if (defaultIdCard !== '') {
		  userBirthday=(parseInt(defaultIdCard.slice(6, 10))+'-'+parseInt(defaultIdCard.slice(10, 12))+'-'+ parseInt(defaultIdCard.slice(12, 14)));
	  }

	  if (typeof storageUserInfo.userIdentityCardNumber !== 'undefined' && storageUserInfo.userIdentityCardNumber !== '') {
		  userBirthday=(parseInt(storageUserInfo.userIdentityCardNumber.slice(6, 10))+'-'+parseInt(storageUserInfo.userIdentityCardNumber.slice(10, 12))+'-'+parseInt(storageUserInfo.userIdentityCardNumber.slice(12, 14)));
	  }
	  
	  // 手动输入回显
	  if (!$('#userIdentityCardNumber').attr('disabled')) {
		  $('#userIdentityCardNumber').on('blur', function() {

			  if (!validator.checkPersonId($(this).val())) {
				  f7.alertMessage('请填写正确的身份证号码');
				  return false;
			  } else {
				  userBirthday=(parseInt($(this).val().slice(6, 10))+'-'+parseInt($(this).val().slice(10, 12))+'-'+ parseInt($(this).val().slice(12, 14)));
			  }
		  });
	  }

	  // 渲染城市选择框
	  var defaultProValueList = [];
	  var defaultProViewList = [];
	  
	  for (var o in PrivinceD) {
		  defaultProValueList.push(o);
		  defaultProViewList.push(PrivinceD[o].name);
	  }
	  
	  var defaultCityValueList = [];
	  var defaultCityViewList = [];
	  
	  for (var p in Areadata['110000']['city']) {
		  defaultCityValueList.push(p);
		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
	  }
	  
	  var defaultAreaValueList = [];
	  var defaultAreaViewList = [];
	  
	  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
		  defaultAreaValueList.push(q);
		  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
	  }

	var pickerLocation = f7.picker({
	    input: '#userLocation',
	    rotateEffect: true,
	    toolbarCloseText: '完成',
	    formatValue: function (picker, values, displayValues) {
			  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
			  }else if (values.length === 3 && displayValues.length === 0) {
				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
			  }else {
				  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
			  }
	    },
	    cols: [
	        {
	            textAlign: 'left',
	            values: defaultProValueList,
	            displayValues: defaultProViewList,
	            onChange: function (picker, value, displayValue) {
	            	
	                if(picker.cols[1].replaceValues){
	                	var cityValueArr = [];
	                	var cityViewArr = [];
	                	for (var i in Areadata[value]) {
	                		if (i === 'city') {
	                			for (var j in Areadata[value][i]) {
	                				cityValueArr.push(j);
	                				cityViewArr.push(Areadata[value][i][j].name)
	                			}
	                		}
	                	}
	                	
	            		var areaValueArr = [];
	            		var areaViewArr = [];
	            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
	  						  areaValueArr.push(' ');
							  areaViewArr.push(' ');
	            		}else{
	            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
		            			areaValueArr.push(k);
		            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
		            		}
	            		}
    		
	                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
	                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	                }
	            }
	        },
	        {
	            values: defaultCityValueList,
	            displayValues: defaultCityViewList,
	            width: 160,
	            onChange: function(picker, value, displayValue) {
	            	if (picker.cols[2].replaceValues) {
	            		var areaValueArr = [];
	            		var areaViewArr = [];
	            		
	            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
	            		  for (var x in cityDataArr) {
	            			  if (x === 'area') {
	            				  if(cityDataArr[x]===null){
            						  areaValueArr.push(' ');
            						  areaViewArr.push(' ');
            					  }else{
            						  for (var y in cityDataArr[x]) {
		            						  areaValueArr.push(y);
			            					  areaViewArr.push(cityDataArr[x][y]);
	            					  }
	            				  }
	            			  }
	            		  }
	            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	            	}
	            }
	        },
	        {
	        	textAlign: 'center',
	        	values:	defaultAreaValueList,
				displayValues: defaultAreaViewList,
	        	width: 160
	        }
	    ],
	    onOpen: function(picker) {
	    
	    	if ($.isArray(storageUserInfo.userLocationCode) && storageUserInfo.userLocationCode.length === 3) {
	    		picker.setValue(storageUserInfo.userLocationCode)
	    	}
	    	
	    },
	});
	
	//点击下拉框，模态框关闭
	document.getElementById('userMaritalStatus').addEventListener('touchstart', function(){
		f7.closeModal();
	});
	document.getElementById('userHighestEducation').addEventListener('touchstart', function(){
		f7.closeModal();
	});
	document.getElementById('userDwellingCondition').addEventListener('touchstart', function(){
		f7.closeModal();
	});
	
	
	// 设置城市的默认值
	if (params.userInfo.userProvinceCode !== '' && params.userInfo.userCityCode !== '' && params.userInfo.userAreaCode !== ''&& (params.orderStatus==='10' || params.orderStatus==='11' || params.orderStatus==='12'  || params.fromPage=== "applianeCheckFace")) {
		pickerLocation.setValue([params.userInfo.userProvinceCode, params.userInfo.userCityCode, params.userInfo.userAreaCode]);
	}
	

	if ($.isArray(storageUserInfo.userLocationCode) && storageUserInfo.userLocationCode.length === 3) {
		pickerLocation.setValue(storageUserInfo.userLocationCode);
	}
  }
  
	function authStep1BtnClick() {
		if (validator.isNull($('#userName').val())) { f7.alert('请填写姓名'); return false; }
		if (validator.isNull($('#userIdentityCardNumber').val())) { f7.alert('请填写身份证号码'); return false; }
		if (!validator.checkPersonId($('#userIdentityCardNumber').val())) { f7.alert('您的姓名或身份证号有误，请检查并修改'); return false; }
		if (!validator.checkTel($('#userPhoneNumber').val())) { f7.alert('请填写本人手机号'); return false; }
		if (validator.isNull($('#userBankCardNumber').val())) { f7.alert('请填写银行卡号'); return false; }
		if (!validator.checkBankNo($('#userBankCardNumber').val())) { f7.alert('请确认您本人的银行卡号填写正确'); return false; }
		if ($('#userMaritalStatus').val() === 'selected' || validator.isNull($('#userMaritalStatus').val())) { f7.alert('请选择婚姻状况'); return false; }
		if ($('#userHighestEducation').val() === 'selected' || validator.isNull($('#userHighestEducation').val())) { f7.alert('请选择最高学历'); return false; }
		if ($('#userDwellingCondition').val() === 'selected' || validator.isNull($('#userDwellingCondition').val())) { f7.alert('请选择居住状况'); return false; }
		if (validator.isNull($('#userLocation').val())) { f7.alert('请选择城市'); return false; }
		if (validator.isNull($('#userDwellingAddress').val())) { f7.alert('请填写详细地址'); return false; }
		var userDwellingAddressCheck=$('#userDwellingAddress').val()
		if(userDwellingAddressCheck.length<5) { f7.alert('请填写完整的详细地址'); return false; }
		if (validator.isNull($('#userPostCode').val())) { f7.alert('请填写邮政编码'); return false; }
		if (!validator.checkPostCode($('#userPostCode').val())) { f7.alert('请填写邮政编码'); return false; }
		
		var authStep1Data = f7.formToJSON('#authStep1Form');
		authStep1Data.userBirthday=userBirthday;
//		authStep1Data.userLocationCode = pickerLocation.value;
		authStep1Data.userLocationCode = userLocationCode;
		authStep1Data.userDwellingAddress = $('#userDwellingAddress').val();
		
		// 增加通讯录权限和通讯录数量
		authStep1Data.contactsAuthorization = contactsAuthorization;
		authStep1Data.contactsLength = contactsLength;
		//通讯录内容提交
		authStep1Data.addressList = addressList;

		// 在utilities.js的logout方法中重置
		localStorage.setItem('authStep1Data' + '_' + currentOrderId, JSON.stringify(authStep1Data));
		
		f7.showTab('#tabAuthStep2');

		loadApplianceComponent('authStep2', 'authentication', authStep1Params);
		
		// pad埋点需求
		sendPadDataAuthStep1(currentOrderId);
		TalkingData.onEventWithLabel('身份认证1', '成功修改“本人手机号”');
		TalkingData.onPageEnd("身份认证1_填写时间");
	};
  
  return {
	 render: render,
	 authStep1BtnClick: authStep1BtnClick,
  }
})