define([
  'applianceComponents/authentication/authStep2/authStep2View',
  'js/utilities'
], function(
  authStepLogisticalView,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 请求用户信息
	  callAppApi({
		  url: '/app/userInfo',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  isOldUser: loginStatus.oldUser,
			  oldId: loginStatus.oldId,
			  userSession: loginStatus.userSession,
			  baseBusinessType:'002002',
		  },
		  successCallback: function(response) {
//			  var responseData = response.data;
			  var responseData = response || {};

//			  // 返回值改造，response.data默认值为{}
//			  if (responseData === null) {
//				  responseData = {};
//			  }
			  
			  authStepLogisticalView.render({
			     userInfo: responseData,
				 goodsLogistics:query.goodsLogistics,
				 orderId: query.orderId,
				 reCheckOrder: query.reCheckOrder,
				 orderStatus:query.orderStatus,
				 fromPage:query.fromPage,
				 orderDetailData:query.orderDetailData,
				 userIsCredit:query.userIsCredit,
			  });
		  },
		  errorCallback: function(err) {}
	  });
  }
  
  return {
	init: init,
  };
});