define([
  'hbs!applianceComponents/common/navbar/navbar',
  'applianceComponents/authentication/authStep1/authStep1Pad',
  'applianceComponents/authentication/authStep2/authStep2Pad',
  'jquery'
], function(
  navbarTemplate,
  authStep1Pad,
  authStep2Pad,
  $$
) {

  var sendPadDataAuthStep1 = authStep1Pad.sendPadDataAuthStep1;
  var sendPadDataAuthStep2 = authStep2Pad.sendPadDataAuthStep2;
  function render(params) {
	  	$$(params.container).html(navbarTemplate(params));
		//家电选择商品页面返回
		$$('#applicanceChooseGoodsBackBtn').off('click').on('click', function() {
//			if (params.fromPage === 'stagingProducts') {
//				mainView.router.back({
//		  			url: 'stagingProducts.html',
//		  			force: true,
//				})
//			} else {
				mainView.router.back({
		  			url: 'index.html',
		  			force: true,
				})
//			}
		});
		
	    //身份认证1
		$("#authBack1").off('click').on('click', function() {
			f7.modal({
	  			title: '',
	  			text: '是否确认返回上一页？',
	  			buttons: [
	  				{
	  					text: '取消',
	  					onClick: function(){
	  						//skapp数据收集：点击“返回”，取消返回
	  						TalkingData.onEventWithLabel('身份认证1', '取消返回');
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function() {
	  				  		//skapp数据收集：点击“返回”，退出下单
	  						TalkingData.onEventWithLabel('身份认证1', '确认返回');  						
	  						sendPadDataAuthStep1(params.orderId);	  						
	  						loadAppliancePage('chooseGoods', {
	  							query: {
	  								fromPage: 'applianceAuthStep1',
	  								orderId: params.orderId,
	  								goodsLogistics: params.goodsLogistics,
	  								reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
	  								orderStatus:params.orderStatus,
	  								orderDetailData:params.orderDetailData
	  							}
	  						});
	  					}
	  				}
	  			]
	  		})
	    });
		
		//身份认证2(此处不再绑定页面返回，直接用框架默认缓存页面，因为orderId传过来不方便)
		$("#authBack2").on('click', function() {
			f7.modal({
	  			title: '',
	  			text: '是否确认返回上一页？',
	  			buttons: [
	  				{
	  					text: '取消',
	  					onClick: function(){
	  						//skapp数据收集：点击“返回”，取消返回
	  						TalkingData.onEventWithLabel('身份认证2', '取消返回');
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function() {
	  				  		//skapp数据收集：点击“返回”，退出下单
	  						TalkingData.onEventWithLabel('身份认证2', '确认返回');
	  						f7.showTab('#tabAuthStep1');
	  						sendPadDataAuthStep2(params.orderId);
	  						loadApplianceComponent('authStep1', 'authentication', {
  								fromPage:'applianceAuthStep2',
  								orderId: params.orderId,
  								goodsLogistics: params.goodsLogistics,
  								reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
  								orderStatus:params.orderStatus,
  								orderDetailData:params.orderDetailData
  							});
//	  						loadAppliancePage('authentication', {
//	  							query: {
//	  								fromPage:'applianceAuthStep1',
//	  								orderId: params.orderId,
//	  								goodsLogistics: params.goodsLogistics,
//	  								reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false
//	  							}
//	  						});
//	  						f7.hideIndicator();
	  					}
	  				}
	  			]
	  		})
	    });
	  	
	  	$('.placeOrderBackBtn').off('click').on('click', function() {
	  		f7.modal({
	  			title: '',
	  			text: '是否确认返回上一页？',
	  			buttons: [
	  				{
	  					text: '取消',
	  					onClick: function(){
	  						//skapp数据收集：点击“返回”，取消返回
	  						var page = $('.view-main').attr('data-page');
	  						if(page == 'applianceChooseGoods'){
	  							TalkingData.onEventWithLabel('选择商品', '取消返回');
	  						}else if(page == 'applianeCheckFace'){
	  							TalkingData.onEventWithLabel('人脸识别', '取消返回');
	  						}else if(page == 'applianceCheckInfo'){
	  							TalkingData.onEventWithLabel('完善资料', '取消返回');
	  						}else if(page == 'applianceCheckUserIdCard'){
	  							TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '取消返回');
	  						}
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function() {
	  				  		//skapp数据收集：点击“返回”，退出下单
	  						var page = $('.view-main').attr('data-page');
	  						if(page == 'applianceChooseGoods'){
	  							TalkingData.onEventWithLabel('选择商品', '退出下单');
	  							mainView.router.back({
		  				  			//url: 'stagingProducts.html',
		  				  			url: 'index.html',
		  				  			force: true,
//		  							query: {
//		  								orderId: params.orderId,
//		  								fromPage: 'applianceChooseGoods',
//										goodsLogistics: params.goodsLogistics,
//										reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
//										orderStatus:params.orderStatus	,
//										orderDetailData:params.orderDetailData
//		  							},
		  				  		});
	  							f7.showToolbar('#toolbar');
	  						}
//	  						else if(page == 'applianceAuthentication'){
////	  							TalkingData.onEventWithLabel('人脸识别', '退出下单');
//	  							loadAppliancePage('chooseGoods', {
//									query: {
//										fromPage:'applianceAuthentication'
//									}
//								});
//	  						}
	  						else if(page == 'applianceCheckFace'){
	  							TalkingData.onEventWithLabel('人脸识别', '退出下单');
//	  							loadAppliancePage('authentication', {
//									query: {
//										fromPage:'applianeCheckFace',
//										orderId: params.orderId,
//										goodsLogistics: params.goodsLogistics,
//										reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
//										orderStatus:params.orderStatus	,
//										orderDetailData:params.orderDetailData
//									}
//								});
	  							
	  							// 禅道bug 14906 --- 家电业务线人脸识别返回到首页
	  							mainView.router.back({
	  								url: 'index.html',
	  								force: true
	  							});
	  							
	  							f7.hideIndicator();
	  							f7.hideToolbar('#toolbar');
	  						}else if(page == 'applianceUploadIDCard'){
	  							TalkingData.onEventWithLabel('完善资料', '退出下单');
	  						//页面跳转标识 lisai 2017年5月9日14:24:21
	  							var orderFaceCount= params.orderDetailData.orderFaceCount
	  							var orderFaceErrorCount= params.orderDetailData.orderFaceErrorCount
	  							if (!orderFaceCount){
	  								orderFaceCount = '0';
	  							}
	  							if (!orderFaceErrorCount){
	  								orderFaceErrorCount = '0';
	  							}
	  							orderFaceCount=parseInt(orderFaceCount);
	  							orderFaceErrorCount=parseInt(orderFaceErrorCount);
	  							var orderFaceSuccessCount=parseInt(orderFaceCount-orderFaceErrorCount);
	  							var orderEvidenceHoldIdCard=params.orderDetailData.orderEvidenceHoldIdCard;
									if(orderFaceSuccessCount===1){
										loadAppliancePage('authentication', {
											query: {
												fromPage:'applianceCheckUserIdCard',
												orderId: params.orderId,
												goodsLogistics: params.goodsLogistics,
												reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
												orderStatus:params.orderStatus	,
												orderDetailData:params.orderDetailData
											}
										});
										}else if(orderFaceSuccessCount!==1){
											if(orderFaceCount>=3){
	  			  								loadAppliancePage('checkUserIdCard', {//跳转至上传手持身份证
			  			  							query: {
			  			  								fromPage: 'applianceCheckUserIdCard',
				  			  							orderId: params.orderId,
				  			  							orderStatus:params.orderStatus,
			  			  								goodsLogistics:params.goodsLogistics,
			  			  								orderDetailData:params.orderDetailData
			  			  							}
			  			  						});
											}else if(orderFaceCount<3){
												if(orderEvidenceHoldIdCard===''){
		  			  								loadAppliancePage('checkFace', {//跳转至人脸识别页面
				  			  							query: {
									    					fromPage: 'applianceCheckUserIdCard',
					  			  							orderId: params.orderId,
					  			  							orderStatus:params.orderStatus,
				  			  								goodsLogistics:params.goodsLogistics,
				  			  								orderDetailData:params.orderDetailData
				  			  							}
				  			  						});
												}else{
		  			  								loadAppliancePage('checkUserIdCard', {//跳转至上传手持身份证
				  			  							query: {
				  			  								fromPage: 'applianceCheckUserIdCard',
					  			  							orderId: params.orderId,
					  			  							orderStatus:params.orderStatus,
				  			  								goodsLogistics:params.goodsLogistics,
				  			  								orderDetailData:params.orderDetailData
				  			  							}
				  			  						});
												}
											}
										}
//	  							loadAppliancePage('checkFace', {
//									query: {
//										fromPage:'applianceUploadIDCard',
//										orderId: params.orderId,
//										goodsLogistics:params.goodsLogistics,
//										orderStatus:params.orderStatus,
//										orderDetailData:params.orderDetailData
//									}
//								});
//	  							f7.showToolbar('#toolbar');
	  							
	  						}else if(page == 'applianceCheckUserIdCard'){
	  							TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '退出下单');
	  							loadAppliancePage('authentication', {
									query: {
										fromPage:'applianceCheckUserIdCard',
										orderId: params.orderId,
										goodsLogistics: params.goodsLogistics,
										reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
										orderStatus:params.orderStatus	,
										orderDetailData:params.orderDetailData
									}
								});
	  							f7.hideToolbar('#toolbar');
	  						}

	  					}
	  				}
	  			]
	  		})
	  	})
	  	
	  	$('.indexBackBtn').off('click').on('click', function() {
	  		mainView.router.back({
	  			url: 'index.html',
	  			force: true
	  		});	  		
	  		f7.showToolbar('#toolbar');
	  	});
	  	
	  	$('.meBackBtn').off('click').on('click', function() {  		
	  		//skapp数据收集
	  		var page = $('.view-main').attr('data-page');
	  		if(page == 'bankcard'){
		  		TalkingData.onEventWithLabel('银行卡管理', '返回');
	  		}else if(page == 'billing'){
	  			TalkingData.onEventWithLabel('我的账单', '返回');
	  		}else if(page == 'info'){
	  			TalkingData.onEventWithLabel('个人信息', '返回');
	  		}		
	  		mainView.router.back({
	  			url: 'me.html',
	  			force: true
	  		});		
	  		f7.showToolbar('#toolbar');
	  	});
	  	
	  	$('.settingBackBtn').off('click').on('click', function() {
	  		mainView.router.back({
	  			url: 'setting.html',
	  			force: true
	  		});  		
	  		f7.showToolbar('#toolbar');
	  	});
	    
	    if (params.callback) {
	    	params.callback();
	    }
	    
  };

  return {
    render: render,
  };
});
