define([
  'js/utilities',
  'applianceContainers/applianceCheckInfo/applianceCheckInfoView'
], function(
  utilities,
  checkInfoView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'checkInfo') {
		f7.hideToolbar('#toolbar');
	}

	checkInfoView.render({
		orderId: query.orderId,
		fromPage: query.fromPage
	});
  }

  return {
	init: init
  };
});
