define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var applianceCheckUserIdCardDataStr = JSON.stringify([]);
	
	function bindPadApplianceCheckUserIdCard() {

		var applianceCheckUserIdCardSelectorList = [
			{
				selector: '#checkUserIdCardUploadBtn',
				type: '',
				bindType: 'click'
			}
		];

		applianceCheckUserIdCardSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var applianceCheckUserIdCardData = JSON.parse(applianceCheckUserIdCardDataStr);
					applianceCheckUserIdCardData.push(record);
					applianceCheckUserIdCardDataStr = JSON.stringify(applianceCheckUserIdCardData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var applianceCheckUserIdCardData = JSON.parse(applianceCheckUserIdCardDataStr);
					applianceCheckUserIdCardData.push(record);
					applianceCheckUserIdCardDataStr = JSON.stringify(applianceCheckUserIdCardData);
				});
			}
		});
	}
	
	function sendPadApplianceCheckUserIdCard(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(applianceCheckUserIdCardDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadApplianceCheckUserIdCard: bindPadApplianceCheckUserIdCard,
		sendPadApplianceCheckUserIdCard: sendPadApplianceCheckUserIdCard
	}
})
