define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var applianceUploadIDCardDataStr = JSON.stringify([]);
	
	function bindPadApplianceUploadIDCard() {

		var applianceUploadIDCardSelectorList = [
         	{
				selector: '#idCardFront',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#idCardBack',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#uploadEvidenceConfirmBtn',
				type: '',
				bindType: 'click'
			}
		];

		applianceUploadIDCardSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var applianceUploadIDCardData = JSON.parse(applianceUploadIDCardDataStr);
					applianceUploadIDCardData.push(record);
					applianceUploadIDCardDataStr = JSON.stringify(applianceUploadIDCardData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var applianceUploadIDCardData = JSON.parse(applianceUploadIDCardDataStr);
					applianceUploadIDCardData.push(record);
					applianceUploadIDCardDataStr = JSON.stringify(applianceUploadIDCardData);
				});
			}
		});
	}
	
	function sendPadApplianceUploadIDCard(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(applianceUploadIDCardDataStr),
		};
		
		sendRecord(params, function(res) {
			applianceUploadIDCardDataStr = JSON.stringify([]);
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadApplianceUploadIDCard: bindPadApplianceUploadIDCard,
		sendPadApplianceUploadIDCard: sendPadApplianceUploadIDCard
	}
})
