define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	var jumpPagePadEventStart = pad.jumpPagePadEventStart;
	var jumpPagePadEventEnd = pad.jumpPagePadEventEnd;
	
	var checkFaceDataStr = JSON.stringify([]);
	var sendRecord = pad.sendRecord;

	function jumpPageEventCheckFaceStart() {
		checkFaceDataStr = JSON.stringify([]);
//		$('#faceCheckBtn').on('click', function() {
			jumpPagePadEventStart({
				tarKey: 'faceCheckBtn',
				baseBusinessType: '002001'
			}, function(record) {	
				record.uuid = Math.uuid();
				var checkFaceData = JSON.parse(checkFaceDataStr);
				checkFaceData.push(record);
				checkFaceDataStr = JSON.stringify(checkFaceData);
				
			});
//		})
	}
	
	function jumpPageEventCheckFaceEnd() {
		var checkFaceData = JSON.parse(checkFaceDataStr);
		
		// 拿到最近的record
		if (checkFaceData.length > 0) {

			var curRecord = checkFaceData[checkFaceData.length - 1];
			
			jumpPagePadEventEnd({
				record: curRecord
			}, function(recordRes) {

				checkFaceData[checkFaceData.length - 1] = recordRes;
				
				checkFaceDataStr = JSON.stringify(checkFaceData);

			});
		}
	}
	function sendCheckFaceRecord(orderId) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(checkFaceDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		jumpPageEventCheckFaceStart: jumpPageEventCheckFaceStart,
		jumpPageEventCheckFaceEnd: jumpPageEventCheckFaceEnd,
		sendCheckFaceRecord: sendCheckFaceRecord
	}
})