
define([
'containers/inputUserIdenId/inputUserIdenIdView',
  'js/utilities',
  'components/common/toolbar/toolbarView'
], function(
  inputUserIdenIdView,
  utilities,
  toolbarView
) {
	  var $ = Framework7.$;
	  var callAppApi = utilities.callAppApi;
	  var changeToolbarStatus = toolbarView.changeToolbarStatus;
	  
  function init(query) {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

	  
		callAppApi({
			url: '/app/userInfo',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				isOldUser: loginStatus.userIsOld,
				oldId: loginStatus.oldId,
				userSession: loginStatus.userSession
			},
			successCallback: function(response) {
				  inputUserIdenIdView.render({
					  fromPage:query.fromPage,
					  pwdRouterStatus: query.pwdRouterStatus,
					  userName:response.userName
				  });
			},
			errorCallback: function(err) {}
		})
	  
	  

  }
  
  return {
	init: init,
  };
});