define([
  'hbs!containers/oldOrderDetail/oldOrderDetail'
], function(
	oldOrderDetailTemplate
) {
  var $ = Framework7.$;
  
  function render(params) {
	  loadComponent('navbar', 'common', {
			container: '#oldOrderDetailNavbar',
			title: '订单详情',
			backId: 'oldOrderDetailBackBtn',
			isBackIcon: true,
			isBack: false
		});
	  $('#orderDetailContent').html(oldOrderDetailTemplate({
			detailData: params.resData[0]
		}));
	  setTimeout(function(){
		  $('#oldOrderDetailBackBtn').off('click').on('click', function(){
			  mainView.router.load({
					url : 'order.html',
					query : {
						fromPage: 'oldOrderDetail'
					}
				});
		  })
	  },500)
  }
  return {
	render: render
  }
});
