define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var orderDetailDataStr = JSON.stringify([]);
	
	function bindPadorderDetail() {

		var orderDetailSelectorList = [
			{
				selector: '#applianceFaceBtn',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#applianceUploadIdCard',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#orderConfirmBtn',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#idCardFrontItem',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#idCardBackItem',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#userIdCardItem',
				type: '',
				bindType: 'click'
			},		
		];

		orderDetailSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: ''
				}, function(record) {
					var orderDetailData = JSON.parse(orderDetailDataStr);
					orderDetailData.push(record);
					orderDetailDataStr = JSON.stringify(orderDetailData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var orderDetailData = JSON.parse(orderDetailDataStr);
					orderDetailData.push(record);
					orderDetailDataStr = JSON.stringify(orderDetailData);
				});
			}
		});
	}
	
	function sendPadorderDetail(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(orderDetailDataStr),
		};
		
		sendRecord(params, function(res) {
//			console.log(res);
			
			orderDetailDataStr = JSON.stringify([])
		}, function(err) {
//			console.log(err);
			
			orderDetailDataStr = JSON.stringify([])
		});
	}
	
	return {
		bindPadorderDetail: bindPadorderDetail,
		sendPadorderDetail: sendPadorderDetail
	}
})
