define([
  'js/utilities',
  'hbs!containers/qa/qa'
], function(
	utilities,
	qaTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var logout = utilities.logout;
  
  function render(params) {
	  
	  // 渲染导航栏
		loadComponent('navbar', 'common', {
			container: '#qaNavbar',
			title: '常见问题',
			backClass: 'settingBackBtn',
			isBackIcon: true,
			isBack: false
		});
	  
	  // 渲染页面
	  $('#qaContent').html(qaTemplate());
	  
  }
  
  return {
	render: render
  }
});