define([
  'educationComponents/authentication/authStep2/authStep2View',
  'js/utilities'
], function(
  authStep2View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  
  function init(query) {
	  
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 请求用户信息
	  callAppApi({
		  url: '/app/userInfo',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  isOldUser: loginStatus.oldUser,
			  oldId: loginStatus.oldId,
			  userSession: loginStatus.userSession,
			  baseBusinessType:'003001',
		  },
		  successCallback: function(response) {
//			  var responseData = response.data;
//			  var responseData = response || {};

			  var responseData ={};
			  if(response.baseBusinessType==='003001'){
				 responseData = response;
			  }else{
				  responseData ={};
			  }
			  
			  authStep2View.render({
				  userInfo: responseData
			  });
		  },
		  errorCallback: function(err) {}
	  });
  }
  
  return {
	init: init,
  };
});