define([
  'js/utilities',
  'educationContainers/educationCheckInfo/educationCheckInfoView'
], function(
  utilities,
  checkInfoView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'educationCheckInfo') {
		f7.hideToolbar('#toolbar');
	}
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	callAppApi({
		url: '/app/credit/audit/infoQuery',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			baseBusinessType:"003001",
		},
		successCallback: function(response) {
			checkInfoView.render(Object.assign({}, query, {
				infoData: response.infoData,
				picList: response.picList
			}));
		},
		errorCallback: function(err) {}
	});
  }

  return {
	init: init
  };
});
