define([
	'jquery',
	'hbs!components/chooseGoods/chooseGoodsList',
	'hbs!components/chooseGoods/chooseGoodsItem',
	'hbs!components/chooseGoods/chooseGoodsPrice',
	'hbs!educationComponents/chooseGoods/chooseGoodsProduct'
], function(
	$$,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsProductTemplate
) {


//重置价格	
	function resetGoodsPrice() {
		$$('#goodsPrice').val('0元');
		$$('#creditPrice').val('');
		$$('#goodsPrice').attr('disabled', true);
		$$('#creditPrice').attr('disabled', true);
	}
//重置起始 结束时间
	function resetStartTime(){
		$$("#goodsStartTime").val("");
		$$("#goodsStartTime").attr("disabled",true)
//		$$("#goodsEndTime").attr("placeholder","课程开始时间");
	}
//重置起始 结束时间
	function resetEndTime(){
		$$("#goodsEndTime").val("");
		$$("#goodsEndTime").attr("disabled",true)
//		$$("#goodsEndTime").attr("placeholder","课程结束时间");
	}
//重置产品
	function resetProduct() {
		chooseGoodsBrandList = [];
		chooseGoodsBrandList.unshift({
			default: true,
			value: '',
			view: '请选择商品'
		});
		
		$$('#goods').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
		$$('#goods').attr('disabled', true);
	}
//重置分期产品		
	function resetgoodsProduct() {
		var defaultGoodsProductList = [{
			default: true,
			value: '',
			view: '请选择分期产品'
		}];
		
		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
		$$('#goodsProduct').attr('disabled', true);
	}
//重置套餐	
	function resetgoodsSuite() {
		var defaultgoodsSuiteList = [{
			default: true,
			value: '',
			view: '请选择套餐名称'
		}];
		
		$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: defaultgoodsSuiteList}));
		$$('#goodsSuite').attr('disabled', true);
	}
//重置期数	
	function resetGoodsStageNum() {
		var defaultGoodsStageNumList = [{
			default: true,
			value: '',
			view: '请选择期数'
		}];
		
		$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
		$$('#goodsStageNum').attr('disabled', true);
		$$('#goods-detials').attr('disabled', true);
	}
	
//	// 重置期初支付
//	function resetGoodsLeverPrice() {
//		$$('#leverPrice').val('');
//	}
//	
//	// 重置自付金额
//	function resetGoodsPayInitialPrice() {
//		$$('#payInitialPrice').val('');
//	}
	//重置期初支付、线下支付、租金总额	
	function resetGoodsPay() {
		$$('#leverPrice').val('0元');
//		$$('#payInitialPrice').val('0元');
//		$$('#selfPayment').val('0元');
	}
	
	// 重置线下支付
	function resetPayInitialPrice() {
		$$('#payInitialPrice').val('0元');
	}
	
	// 重置服务协议名称
	function resetProtocolName() {
		var defaultProtocolName = [{
			default: true,
			value: '',
			view: '请选择课程协议名称'
		}];
		$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: defaultProtocolName}));
		/*$$('#protocolName').val('请选择课程协议名称');*/
		$$('#protocolName').attr('disabled', true);
	}
	// 重置服务协议签订时间
	function resetProtocolTime() {
		$$('#protocolTime').val('请选择时间');
		$$('#protocolTime').attr('disabled', true);
	}


	/**
	 * @二维码扫描 通用字段
	 */
	function getRealString(str) {
		var s = '';
		for (var i = 0; i < str.length; i++) {
		    if (i % 5 != 0) {
		      s += str[i];
		    }
		}
		return s;
	}
	
    function doWithQRCode(s, callback) {
    	if (!s || s.indexOf("|") < 0) {
    		f7.alert("亲，二维码没看清，请再试一下哦");
    		return;
    	}
    	
    	// 二维码规则调整
    	s = s.replace(/\*/g, '');
    	
    	var actionType = s.split("|")[0];
    	var viewType = s.split("|")[1];
    	var objectID = s.split("|")[2];
	  
    	if (actionType == "V" && viewType == "M" && objectID) {

    		callback(objectID);
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		return;
    	}
    	return objectID;
    }
    function closePicker(ele) {
		ele.close();
	}
	
	return {
		// 二维码通用方法
		getRealString: getRealString,
		doWithQRCode: doWithQRCode,
		
		// 重置方法组

		resetGoodsPrice: resetGoodsPrice,
		resetgoodsProduct: resetgoodsProduct,
		resetgoodsSuite: resetgoodsSuite,
		resetGoodsStageNum: resetGoodsStageNum,
		resetGoodsPay: resetGoodsPay,
		resetPayInitialPrice: resetPayInitialPrice,
		resetStartTime:resetStartTime,
		resetEndTime:resetEndTime,
		resetProduct:resetProduct,
		closePicker:closePicker,
		resetProtocolName:resetProtocolName,
		resetProtocolTime:resetProtocolTime
	}
});