define([
	'jquery'
], function(
	$$
) {
	function talkingDataEvent(creditType) {
		// 埋点数据
		// 用户姓名埋点
		$$('#userName').on('blur.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithLabel('05003申请额度页-姓名', '员工');
			} else if (creditType == '005002') {
				TalkingData.onEventWithLabel('05003申请额度页-姓名', '员工亲属');
			}
		});
		
		// 身份证号埋点
		$$('#userIdentityCardNumber').on('blur.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithLabel('05004申请额度页-身份证号', '员工');
			} else if (creditType == '005002') {
				TalkingData.onEventWithLabel('05004申请额度页-身份证号', '员工亲属');
			}
		});
		
		// 银行卡号埋点
		$$('#userBankcard').on('blur.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithLabel('05005申请额度页-银行卡号', '员工');
			} else if (creditType == '005002') {
				TalkingData.onEventWithLabel('05005申请额度页-银行卡号', '员工亲属');
			}
		});
		
		// 婚姻状况埋点
		$$('#userMaritalStatus').on('change.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithExtraData('05006申请额度页-婚姻状况', '员工', {
					 "05006": $$(this).val()
				});
			} else if (creditType == '005002') {
				TalkingData.onEventWithExtraData('05006申请额度页-婚姻状况', '员工亲属', {
					"05006": $$(this).val()
				});
			}
		});
		
		// 最高学历埋点
		$$('#userHighestEducation').on('change.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithExtraData('05007申请额度页-最高学历', '员工', {
					 "05007": $$(this).val()
				});
			} else if (creditType == '005002') {
				TalkingData.onEventWithExtraData('05007申请额度页-最高学历', '员工亲属', {
					 "05007": $$(this).val()
				});
			}
		});
		
		// 居住状况埋点
		$$('#userDwellingCondition').on('change.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithExtraData('05008申请额度页-居住状况', '员工', {
					 "05008": $$(this).val()
				});
			} else if (creditType == '005002') {
				TalkingData.onEventWithExtraData('05008申请额度页-居住状况', '员工亲属', {
					 "05008": $$(this).val()
				});
			}
		});
		
		// 居住地址选择埋点
		
		// 居住地址输入埋点
		$$('#userDwellingDetailAddress').on('blur.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEventWithLabel('05010申请额度页-居住地址输入', '员工');
			} else if (creditType == '005002') {
				TalkingData.onEventWithLabel('05010申请额度页-居住地址输入', '员工亲属');
			}
		});
		
		// 单位地址选择埋点
		
		// 单位地址输入埋点
		$$('#userWorkFullAddress').on('blur.talkingData', function() {
			if (creditType == '005001') {
				TalkingData.onEvent("05012申请额度页-员工-单位地址输入");
			} else if (creditType == '005002') {
				
			}
		});
		
		// 员工亲属紧急联系人
		$$('#firstContactsName').on('blur.talkingData', function() {
			if (creditType == '005001') {
				
			} else if (creditType == '005002') {
				TalkingData.onEvent("05013申请额度页-员工亲属-紧急联系人姓名");
			}
		});
		
		// 员工亲属紧急联系人关系
		$$('#firstContactsRelation').on('change.talkingData', function() {
			if (creditType == '005001') {
				
			} else if (creditType == '005002') {
				TalkingData.onEvent("05014申请额度页-员工亲属-紧急联系人关系");
			}
		});
		
		// 员工亲属紧急联系人手机号
		$$('#firstContactsPhone').on('blur.talkingData', function() {
			if (creditType == '005001') {
				
			} else if (creditType == '005002') {
				TalkingData.onEvent("05015申请额度页-员工亲属-紧急联系人手机号");
			}
		});
		
		// 是否有工作
		$$('#hasWorkBtn').on('click.talkingData', function() {
			var that = this;
			var hasWorkTime = setTimeout(function() {
				if ($$(that).hasClass('on')) {
					TalkingData.onEvent("05016申请额度页-是否有工作单位");
				}
			}, 100);
		});
		
		
	}
	
	
	
	
	return {
		talkingDataEvent: talkingDataEvent
	}
});