define([
	'js/utilities',
	'employeeBuy/employeeBuyContainers/chooseAuthType/chooseAuthTypeView'
], function(
	utilities,
	chooseAuthTypeView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var userName = "";
		var idCardNum = "";
		callAppApi({
			url : '/app/userInfo',
			type : 'POST',
			params : {
				userId : loginStatus.userId,
			},
			successCallback:function(res){
				userName = res.userName;
				idCardNum = res.userIdentityCardNumber;
				chooseAuthTypeView.render({
					userName:userName,
					idCardNum:idCardNum
				})
			}
		})
		
		
	}
	
	return {
		init: init
	}
})