define([
	'jquery',
	'js/utilities',
    'js/config',
	'hbs!employeeBuy/employeeBuyContainers/goodsActivity/goodsActivity'
], function(
	$$,
	utilities,
    config,
    goodsActivityTemplate
) {
	var $ = Framework7.$;	

	function render(params) {
		// 渲染navbar
		loadEmployeeBuyComponent('navbar', 'common', {
			container: '#goodsActivityNavbar',
			title: '活动详情',
			backId: 'goodsActivityBackBtn',
			isBackIcon: true,
			isBack: true,
			callback: function() {
				// 暂时先不手动配置返回按钮
				$('#goodsActivityBackBtn').on('click', function() {
					loadEmployeeBuyPage('employeeBuyIndex', {});
				})
				
			}
		});
		
		
		$('#goodsActivityContent').html(goodsActivityTemplate({
			protocolId: "agreementAutoPayment",
			protocolName: "上传材料说明",
			protocolWidth: $('body').width(),
			protocolHeight: $('body').height() - 56
		}));
		var callWebHtml = utilities.callWebHtml;
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		callWebHtml({
			url: '/act/preSell',
			type: 'POST',
			apiVersion: '1.1',
			params: {
				actType: params.actType,
				actId: params.actId,
				linkId: params.linkId,
				actCustomId: params.actCustomId
			},
			successCallback: function(response) {
				$$("#agreementAutoPayment").contents()[0].write(response);
			},
			errorCallback: function(err) {}
		});
	}
	
	return {
		render: render
	}
})
