define([
  'js/utilities',
  'familyDecoration/familyDecorationContainers/familyDecorationPerfectDataResult/familyDecorationPerfectDataResultView'
], function(
  utilities,
  chooseGoodsView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
  function init(query) {
	  
	// 隐藏底部工具栏
//	if (mainView.activePage.name === 'educationChooseGoods') {
//		f7.hideToolbar('#toolbar');
//	}
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var creditAuditId = sessionStorage.getItem('creditAuditId');
		if(query.difference == 'me' && query.fromPage == 'advanceCreditFamily'){
			callAppApi({
        		url: '/module/material/find',
        		params: {
        			userId: loginStatus.userId,
        			orderId: query.orderId,
        			baseBusinessType: query.baseBusinessType
        		},
        		successCallback: function(res) {
        			callAppApi({
        				  url: '/app/credit/audit/query',
        				  type: 'POST',
        				  params: {
        					  userId: loginStatus.userId
        				  },
        				  successCallback: function(auditQueryRes) {
        					  if(res.orderDetailInfo){
        	        				chooseGoodsView.render({
        	    		    			fromPage: query.fromPage,
        	    		    			difference: query.difference,
        	    		    			orderId: query.orderId,
        	    		    			response: res,
        	    		    			baseBusinessType: query.baseBusinessType,
        	    		    			creditAuditStatus: auditQueryRes.creditAuditStatus,
        	    		    			orderStatus: res.orderStatus
        	    		    		});
        	        			}
        				  },
        				  errorCallback: function(err) {}
        			});
        		},
        		errorCallback: function(err) {}
        	})
		}else if(query.difference == 'advanceCreditUploadIDCard' || query.difference == 'advanceCreditUploadEvidence' || query.difference == 'index' || (query.difference == 'me' && query.fromPage != 'advanceCreditFamily') ){
			callAppApi({
				url: '/app/credit/echoHouseDevideInfo',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					creditAuditId : creditAuditId
				},
				successCallback:function(data){
					chooseGoodsView.render({
						fromPage: query.fromPage,
						difference: query.difference,
						response: data,
						orderId: query.orderId,
						creditAuditStatus: query.fromStatus
					});
				},
				errorCallback: function(err) {}
			});
		}
		
	}

  return {
	init: init
  };
});
