define([
  'familyDecorationOnline/familyDecorationOnlineContainers/authentication/authenticationView',
], function(
  authenticationView
) {
  function init(query) {
		if (mainView.activePage.name === 'familyDecorationOnlineAuthentication') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}

		// 注册显示事件
		f7.onPageBack('familyDecorationOnlineAuthentication', function() {
			f7.showToolbar('#toolbar');
		});
		
		//接期望额度传来的数据
		authenticationView.render({
			userType: query.userType,
			adultCreditRes: query.res
		});
  }
  
  return {
	init: init,
  };
});