define([
	'js/utilities',
	'familyDecorationOnline/familyDecorationOnlineContainers/chooseGoods/chooseGoodsView'
], function(
	utilities,
	chooseGoodsView
) {
	var callAppApi = utilities.callAppApi;
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		// 隐藏底部菜单栏
		if (mainView.activePage.name === 'familyDecorationOnlineChooseGoods') {
			f7.hideToolbar('#toolbar');
		}
		callAppApi({
		    url: '/app/credit/audit/infoQuery',
            type: 'POST',
            params: {
                baseBusinessType: '004003',
                userId: loginStatus.userId
            },
			successCallback: function(creditRes) {
				chooseGoodsView.render({
					userId: loginStatus.userId,
					fromPage: query.fromPage,
					creditRes: creditRes,
					creditStatus: creditRes.creditStatus,
					auditInfoStatus: creditRes.auditInfoStatus
				});
			},
			errorCallback: function(err) {}
		});
	}
	
	return {
		init: init
	}
})