define([
    'jquery',
    'js/utilities',
	'familyDecorationOnline/familyDecorationOnlineContainers/orderConfirm/orderConfirmView'
], function(
	$$,
	utilities,
	orderConfirmView
) {
	var callAppApi = utilities.callAppApi;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		// 请求是否绑定批扣卡
		
		var familyDecorationOnlineOrderId = query.orderId;
		if (!familyDecorationOnlineOrderId) {
			familyDecorationOnlineOrderId = localStorage.getItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
		}
		
//		  callAppApi({
//			  url: '/app/bankBatchCard',
//			  type: 'POST',
//			  params: {
//				  userId: loginStatus.userId
//			  },
//			  successCallback: function(data) {
				  callAppApi({
					  url: '/app/order/detail',
					  type: 'POST',
					  params: {
						  orderId: familyDecorationOnlineOrderId,
						  userId: loginStatus.userId,
						  baseBusinessType: query.baseBusinessType
					  },
					  successCallback: function(response) {
							orderConfirmView.render(Object.assign(response, {
//								  batchCardData: data,
								  orderId: familyDecorationOnlineOrderId,
								  baseBusinessType: query.baseBusinessType,
							  }));
					  },
					  errorCallback: function(err) {}
				  });
//			  },
//			  errorCallback: function(err) {}
//		  });
		
//		orderConfirmView.render(query);
	}
	
	return {
		init: init
	}
})