define([], function() {

	var dictData = {
		data: [],				// 字典配置返回值数组
		message: [],			// 提示信息数组
		prompt: [],				// 页面提示配置
		system: []				// APP系统页面配置
	};
	
	var timeCountData = {						//  计时器对象
		employeeBuyIndexTimeCount: []					// 	员工购首页计时器
	};
  
	var clickDelayTimer = {};				// 延迟点击计时器对象
	
	function getPrompt(key) {
		
		var promptText = '';
		
		dictData.prompt.forEach(function(item) {
			if (item.dictKey === key) {
				promptText = item.dictValue;
			}
		});
		
		return promptText;
	}
	
	function getPromptCredit(key) {
		
		var promptText = '';
		
		dictData.data.forEach(function(item) {
			if (item.dictSerialNo === key) {
				promptText = item.dictValue;
			}
		});
		
		return promptText;
	}
	
	function getConfig(key) {
		var configText = '';
		
		dictData.config.forEach(function(item) {
			if (item.dictKey === key) {
				configText = item.dictValue;
			}
		});
		
		return configText;
	}
	
	function getDictData(key, module) {
		var configText = '';
		
		dictData[module].forEach(function(item) {
			if (item.dictKey === key) {
				configText = item.dictValue;
			}
		});
		
		return configText;
	}
	
  return {
	dictData: dictData,
	getDictData: getDictData,
	getPrompt: getPrompt,
	getPromptCredit: getPromptCredit,
	getConfig: getConfig,
	
	timeCountData: timeCountData,
	clickDelayTimer: clickDelayTimer
  };
});
