define([], function() {
	
	function isNull(val) {
		if (val === '' || typeof val === 'undefined' || val === null) {
			return true;
		} else {
			return false;
		}
	}
	
	function isNumber(val) {
		return /\d+/.test(val);
	}
	
	// 匹配手机号（用户名）
	function checkTel(tel) {
		var telRegExp = /^1[345789]\d{9}$/;
		
		return telRegExp.test(tel);
	}
	

	function checkTel2(tel) {
//        var patrn = /^([0-9]{1,3}-)?([0-9]{2,4}-)?[0-9]{7,11}(-[0-9]{1,5})?$/;//匹配电话号码及手机号码
		var patrn = /^1\d{10}$|^(0\d{2,3}-?|\(0\d{2,3}\))?[1-9]\d{4,7}(-\d{1,8})?$/;

        return patrn.test(tel);
	}
	
	// 匹配密码
	function checkPwd(pwd) {
		var pwdRegExp = /^(?=.*\d)(?=.*[a-zA-Z])\S{8,}$/;
		return pwdRegExp.test(pwd);
	}
	
	function checkPersonId(personId) {

		var strJiaoYan = ['1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2'];
		var intQuan = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2, 1];
		var intTemp = 0;
		for (var i = 0; i < personId.length - 1; i ++) {
			intTemp += personId.substring(i, i + 1) * intQuan[i];
		}

		intTemp %= 11;

		return personId.substring(personId.length - 1).toUpperCase() == strJiaoYan[intTemp];
	}
	
	function checkBankId(bankId) {
		var bankIdRegExp = /^\d{1,}$/;
		
		return bankIdRegExp.test(bankId);
	}
	
	function checkBankNo (bankno) {
		var bankNoRegExp = /^\d{10,}$/;
		
		return bankNoRegExp.test(bankno);
		
//	    if (typeof (bankno) == 'number')
//	        bankno += "";
//	    if (!bankno)
//	        return false;
//	    if (bankno.length < 16 || bankno.length > 19) {
//	        //$("#banknoInfo").html("银行卡号长度必须在16到19之间");
//	        return false;
//	    }
//	    var num = /^\d*$/; //全数字
//	    if (!num.exec(bankno)) {
//	        //$("#banknoInfo").html("银行卡号必须全为数字");
//	        return false;
//	    }
//	    //开头6位
//	    var strBin = "10,18,30,35,37,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,58,60,62,65,68,69,84,87,88,94,95,98,99";
//	    if (strBin.indexOf(bankno.substring(0, 2)) == -1) {
//	        //$("#banknoInfo").html("银行卡号开头6位不符合规范");
//	        return false;
//	    }
//	    var lastNum = bankno.substr(bankno.length - 1, 1);//取出最后一位（与luhm进行比较）
//
//	    var first15Num = bankno.substr(0, bankno.length - 1);//前15或18位
//	    var newArr = new Array();
//	    for (var i = first15Num.length - 1; i > -1; i--) { //前15或18位倒序存进数组
//	        newArr.push(first15Num.substr(i, 1));
//	    }
//	    var arrJiShu = new Array(); //奇数位*2的积 <9
//	    var arrJiShu2 = new Array(); //奇数位*2的积 >9
//
//	    var arrOuShu = new Array(); //偶数位数组
//	    for (var j = 0; j < newArr.length; j++) {
//	        if ((j + 1) % 2 == 1) {//奇数位
//	            if (parseInt(newArr[j]) * 2 < 9)
//	                arrJiShu.push(parseInt(newArr[j]) * 2);
//	            else
//	                arrJiShu2.push(parseInt(newArr[j]) * 2);
//	        } else
//	        //偶数位
//	            arrOuShu.push(newArr[j]);
//	    }
//
//	    var jishu_child1 = new Array();//奇数位*2 >9 的分割之后的数组个位数
//	    var jishu_child2 = new Array();//奇数位*2 >9 的分割之后的数组十位数
//	    for (var h = 0; h < arrJiShu2.length; h++) {
//	        jishu_child1.push(parseInt(arrJiShu2[h]) % 10);
//	        jishu_child2.push(parseInt(arrJiShu2[h]) / 10);
//	    }
//
//	    var sumJiShu = 0; //奇数位*2 < 9 的数组之和
//	    var sumOuShu = 0; //偶数位数组之和
//	    var sumJiShuChild1 = 0; //奇数位*2 >9 的分割之后的数组个位数之和
//	    var sumJiShuChild2 = 0; //奇数位*2 >9 的分割之后的数组十位数之和
//	    var sumTotal = 0;
//	    for (var m = 0; m < arrJiShu.length; m++) {
//	        sumJiShu = sumJiShu + parseInt(arrJiShu[m]);
//	    }
//
//	    for (var n = 0; n < arrOuShu.length; n++) {
//	        sumOuShu = sumOuShu + parseInt(arrOuShu[n]);
//	    }
//
//	    for (var p = 0; p < jishu_child1.length; p++) {
//	        sumJiShuChild1 = sumJiShuChild1 + parseInt(jishu_child1[p]);
//	        sumJiShuChild2 = sumJiShuChild2 + parseInt(jishu_child2[p]);
//	    }
//	    //计算总和
//	    sumTotal = parseInt(sumJiShu) + parseInt(sumOuShu) + parseInt(sumJiShuChild1) + parseInt(sumJiShuChild2);
//
//	    //计算Luhm值
//	    var k = parseInt(sumTotal) % 10 == 0 ? 10 : parseInt(sumTotal) % 10;
//	    var luhm = 10 - k;
//
//	    if (lastNum == luhm) {
//	        return true;
//	    } else {
//	        return false;
//	    }
	}
	
	function checkPostCode(postCode) {
		
		return /^\d{6}$/.test(postCode);
	}
	
	return {
		isNull: isNull,
		isNumber: isNumber,
		checkTel: checkTel,
		checkTel2: checkTel2,
		checkPwd: checkPwd,
		checkPersonId: checkPersonId,
		checkBankId: checkBankId,
		checkBankNo: checkBankNo,
		checkPostCode: checkPostCode
	}
});
